<% 'Module: DoAuthorizeTimeSpentMobile.asp

   'Description: This module is the submit module for the AuthorizeTimeSpent.asp for the customer+center.

   '(C) 2000-2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '02/27/2012 CMB      Close button rather than cancel
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->

<% Customer_ID = Request.Cookies("ISS_CUSTOMER") ' Get the Customer_ID if possible
%>

<% 'Get Some Configuration Parameters

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
		    MaxHistorySize =  CLng(rstemp2("max_case_history_size"))
			MaxSummarySize =  rstemp2("max_case_summary_size")
			MaxResolutionSize =  rstemp2("max_case_resolution_size")

			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		CustomerFullName = GetCustomerName(Customer_ID)%>


<% ' Grab the passed form elements

	AuthorizeName = Request.Form("AuthorizeName")
	AuthorizeDate = Request.form("AuthorizeDate")
	AuthorizeComments = Request.form("AuthorizeComments")
	AuthorizeCaseNumber = Request.form("AuthorizeCaseNumber")

	'***************************** CUSTOMIZATION AREA FOR Authorization notes ****************
	' Create String for Authorization notes into case history

	AuthorizationString = ""
	AuthorizationString = "Authorizations for the estimated work or work completed listed below "

	AuthorizationString = AuthorizationString & " has been authorized by " & vbCRLF & vbCRLF &  Authorizename & vbCRLF &  " DATED: " & AuthorizeDate & vbCRLF

	AuthorizationString = AuthorizationString & "Comments: " & AuthorizeComments & vbCRLF

	AuthorizationString = AuthorizationString & "---------------------------------------------" & vbCRLF

	AuthorizationString = AuthorizationString & "Time estimates or completed work entries:" & vbCRLF

	' Now get the Time Spent Information so far for the case to insert into the case history

	CaseNumber = AuthorizeCaseNumber

	TotalBillableHours = 0
	TotalBillableAmount = 0

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	If CaseNumber <> "" Then
		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & CaseNumber
	Else
		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = 999999"
	End If

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If  rstemp.eof then ' Check to see any time spent values exist for this case number
		Response.write "No Time Spent Records found "
	Else
		Do While rstemp.EOF <> True

			AuthorizationString = AuthorizationString & rstemp("Invoice_Date")  & "--"

			AuthorizationString = AuthorizationString & "TECH:" & rstemp("first_name") & " " & rstemp("last_name") & "--"

			If rstemp("Billable") = True Then
				AuthorizationString = AuthorizationString & "Billable -- "
			  Else
				AuthorizationString = AuthorizationString & "NOT Billable --"
			End If

			AuthorizationString = AuthorizationString & " Hours: " & rstemp("Hours")  & "--"

			AuthorizationString = AuthorizationString &" Rate: " &  rstemp("HourlyRate") & "/Hr--"

			AuthorizationString = AuthorizationString & "NOTES:" &  rstemp("TimeSpentNote")  & vbCRLF

	' Calculate Total Billable Hours

	If rstemp("Billable") = True Then
		TotalBillableHours = TotalBillableHours + rstemp("Hours")
		'-- fix this -- TotalBillableAMount = rstemp("Hours") * rstemp("HourlyRate") + TotalBillableAmount
		' We need to round to 2 dec places in case this calculation generates more e.g. 5.25 * 5.25 = 27.5625

		' we also need to guard against these fields being empty

		 HoldHourlyRate = rstemp("HourlyRate")
		 If isNull(HoldHourlyRate) Then
		   HoldHourlyRate = 0
		 End If

		 HoldHours = rstemp("Hours")
		 If isNull(HoldHours) Then
		   HoldHours = 0
		 End If

		tempholder = HoldHours * HoldHourlyRate
		tempholder = Round(tempholder,2)
		TotalBillableAmount = TotalBillableAmount + tempholder

	End IF

	TotalHours = TotalHours + rstemp("Hours") ' Always in hours independently of billable.

			rstemp.MoveNext
		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' Now display the summary information for time spent

AuthorizationString = AuthorizationString & "------------ TOTALS-----------------" & vbCRLF

AuthorizationString = AuthorizationString & "Billable Total: " & TotalBillableHours & wc_Hrs & " / " &  wc_Time_Spent_Currency &  TotalBillableAmount & vbCRLF

AuthorizationString = AuthorizationString & wc_Total_Hours & ": " & TotalHours & wc_HRS & vbCRLF

' Pass this authorization string onto UpdateCase Subroutine

' Call to update the case history with the autorization information

Case_Number  = AuthorizeCaseNumber

UpdateCaseWithAuthorization Case_Number, AuthorizationString


%>

<html>
<!-- (C) 1996,1998, 1999, 2000-2009 by Internet Software Sciences -->
<head>
<title>Time Spent Authorization</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<tr><td  class=MinorFormTitle colspan=2 align=center>Authorization Completed</td></tr>


<% ' ****************CUSTOMIZE YOUR Authorization Process wording below **********************
%>
<br>

<center>

	Thank you. Your Authorization has been noted in the case history for that case.
	<br>
	<br>
	Please press the <U>Close Window</u> button below to close this window.

	<br>
	<br>

<center>
<a href='javascript:var w=window.close()'><img src="/<%=WCLanguageDirectory%>/ts_close30x80.gif" border=0></a>
</center>

</body>
</html>



<% Sub UpdateCaseWithAuthorization(Case_Number, AuthorizationString)

' This sub will perform the necessary updating to the case by:
'	(1) Updating the Mod Time with the current time and Date
'	(2) Upating the history showing that the case was escalated
'	(3) Show that the group was modifed to specified group if needed


	' First create the Date and Time strings

	CreateTimeDateValues DateString, TimeString, DateTimeString

	' Check to see if case_number exists then this is an update

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If Case_Number = "0" Then
			SQL = "Select * from Cases"
		Else
				SQL = "Select * from Cases where case_number = " & case_number
		End IF

		'response.write SQL
		'response.write "Escalating/Updating Case: " & Case_Number

		NewRecord.Open SQL,Conntemp,3,3

		' We should only need to do existing case updates

			NewRecord("modified_flag") = 1
			NewRecord("mod_date") = DateString ' YYYYMMSS
			NewRecord("mod_time") = TimeString ' HHMMSS

			'NewRecord("Case_One_Line") = Case_One_Line

			' *************************************************************
			' Only a limited set of fields will be updated by escalation!
			'**************************************************************

			Current_Case_History = NewRecord("Case_History")

			' Make sure we are not exceeding the size of the case_history field.

			' Append to the bottom of the case
			New_Case_History = Current_Case_History &	vbCRLF & "{r[" &  DatetimeString &  " Updated by ["& CustomerFullName & "] ]r}" &vbCRLF  & AuthorizationString  & vbCRLF


			New_Case_History = New_Case_History  &  vbCRLF
			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of & Len(New_Case_History) & wc_exceeds_maximum_value_of & MaxHistorySize - 10 & "<br>"
			End If
NewRecord.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if


	IF  conntemp.errors.count> 0 then
	    response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conntemp.errors.count
		      response.write "Error #" & conntemp.errors(counter).number & "<P>"
		      response.write "Error desc. -> " & conntemp.errors(counter).description & "<P>"
		next
	else
	      'response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Set NewRecord = Nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

	End Sub

%>

<% Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

'	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)

	'Response.write "HourPart = " & Hourpart & "<br>"
	'response.write "DateTimeString = " & DateTimeString

	' Fix to AM/PM Calculation corrected in version 4.0

	If HourPart = 0 Then
		NewHourPart = HourPart + 12
		DateTimeString = DateTimeString & NewHourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart <> 0 AND HourPart < 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart = 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End If

	If HourPart >= 13 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End IF

	End Sub ' End of CreateTimeDateValues
%>

<% Sub GetDatabaseConfiguration(MaxHistorySize, MaxSummarySize, MaxResolutionSize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, userpagecolor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages


		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
		    MaxHistorySize =  CLng(rstemp2("max_case_history_size"))
			MaxSummarySize =  rstemp2("max_case_summary_size")
			MaxResolutionSize =  rstemp2("max_case_resolution_size")

			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")
		End If

		rstemp2.close
		set rstemp2=nothing


	End Sub ' End of GetdatabaseConfiguration
	%>

<% Function GetCustomerName(Customer_ID)
	'This function gets the full name of the Customer and company


		If Customer_ID = "" Then
			GetCustomerName = "Not Defined"
		Else

			set conntemp5=server.createobject("adodb.connection")
			conntemp5.open myDSN ' Open the connection once here


			mySQL5 = "select * from Customers where customer_ID = '" & Customer_ID & "'"

			set rstemp5=conntemp5.execute(mySQL5)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				GetCustomerName = "Not Defined"
			Else
				GetCustomerName = rstemp5("contact_fname") & " " & rstemp5("contact_lname")
				If rstemp5("Company") <> "" Then
					GetCustomerName = GetCustomerName & "/(" & rstemp5("Company") & ")"
				End IF

			End If

			rstemp5.close
			set rstemp5=nothing
			conntemp5.Close
			Set conntemp5 = nothing

		End If


	End Function ' End of GetCustomerName
	%>



