<% 'Module: CustomerShowTextMsg.asp

   'Description: This module is the Top Part of the page for the Tech Send Text Msg


   '(C) 2000, 2001, 2002 - 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/26/06	SAV		Created original TechSEndTextMsg.asp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->



<%' Include this file for special database cursor constants %>


<% TextChatThread = Request.querystring("TextChatThread")
%>


<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		Dispatcher_Screen_Refresh_Rate = rstemp2("Dispatcher_screen_refresh_rate")

		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<HTML>
<HEAD>

   <META HTTP-EQUIV="Refresh" CONTENT="<%=wc_CustomerTextWindowRefreshRate%>">

   <TITLE>Web+Center Text Messaging</TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002- 2007 by Internet Software Sciences -->

</HEAD>
<body>

<%

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	IF TextChatThread = "" or TextChatThread = "NEW" Then

		TextChatHistory = "New Text or No Chat Thread Number"
	Else



		mySQL2="select * from TextChat where TextChatThread = "  & TextChatThread
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TextChatHistory = "Invalid Text Chat Thread Number" ' Send out default Message
		Else
			TextChatHistory  = rstemp2("TextChatHistory")
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End IF


%>


		<table width=100%>
		<tr>
		<td bgcolor=C0C0C0 align=center width=100% ><font size=-2>Text Messages</font></td></tr></table>


<h6>


<% FormattedMessage = Format_Text_Msg_Text(TextChatHistory)

	Response.write FormattedMessage
%>

</h6>
</div>



</body>
</html>


<%
Function Format_Text_Msg_Text(TextChatHistory)

' This subroutines formats the case_text with the proper color coding conventions

NewText = TextChatHistory

IF NewText = "" OR IsNull(NewText)  THen

Format_Text_Msg_Text = ""

Else

	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")


	NewText = replace(NewText, chr(13)&chr(10), "<br>")



	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")

' following formatting added when going to stylesheets
' we first remove all occurrences of <br><br>
' we then add a thinline (made by a skinny table) just before start of any font color change

    double_br = "<br>" & chr(13) & "<br>"
 '   thinline = "<table cellpadding=0 cellspacing=5 width=100% ><tr bgcolor=#808080 ><td height=1></td></tr></table>"

    'NOTE: 4/29/05 - Possible ASP compatibility issue found
    '**** Under SUN ONE ASP , this next statement can cause an error
    ' and may need to be commented out. (This is indeed necessary - confirmed by another site on 5/31/2005)

    If Application("MyOS") = "Linux" Then
      ' Do Nothing
    Else
       NewText = replace(NewText, double_br, "")
    End If

    newbreak1 = thinline & "<font color=#FF0000>"
    NewText = replace(NewText, "<font color=#FF0000>", newbreak1)
	Format_Text_Msg_Text = NewText


    newbreak2 = thinline & "<font color=#008000>"
    NewText = replace(NewText, "<font color=#008000>", newbreak2)

    NewText = NewText & thinline


	Format_Text_Msg_Text = NewText

End If


End function
%>




