<% 'Module: ShowCustomerAssetsMobile.asp

   'Description: This module is a special customer search asset page
   ' that only shows the assets assigned to the  logged in customer.

   '(C) 1999, 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/03/01	SAV		Created original ShowCustomerAssets.asp module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
	' and then copy the edited file to customercenter directory
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<% ' Get the Customer_Id from the cookie and not passed as link
	Customer_ID =  Request.Cookies("ISS_Customer")

	' We are grabbing the customer_id through the cookie so
	' it does not have to displayed on the link.

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="CustomerusererrorMobile.inc" -->

	<% Else ' Perform the asset search with the passed information
	%>

	<% 'First create the SQL statement from the passed variables

	mySQL = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets INNER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number "

	If Asset_number <> "" then
		mySQL = mySQL & AndValue & " Asset_number = " & Asset_number
		AndValue = " AND "
	End If

	If Property_tag <> "" Then
		mySQL = mySQL & AndValue & " Property_tag like '%" &  Property_tag & "%'"
		AndValue = " AND "
	End If

	If Serial_Number <> "" Then
		mySQL = mySQL & AndValue & " Serial_number like '%" &  Serial_number & "%'"
		AndValue = " AND "
	End If

	If Computer_Id <> "" Then
		mySQL = mySQL & AndValue & " Computer_ID like '%" &  Computer_Id & "%'"
		AndValue = " AND "
	End If

	If Equipment_Type <> "" Then
		mySQL = mySQL & AndValue & " Equipment_type like '%" &  Equipment_Type & "%'"
		AndValue = " AND "
	End If

	If Location <> "" Then
		mySQL = mySQL & AndValue & " Location like '%" &  Location & "%'"
		AndValue = " AND "
	End If

	' Add the Customer_ID value to the SQL statement

	mySQL = MySQL & " Where AssetAssignment.customer_id = '" & Customer_ID & "'"

	' Now perform the query and display the results in a table

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp=conntemp.execute(mySQL)
%>
<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
    <body>
        <!-- Home -->
        <div data-role="page" id="PageAccount">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
                	 <%=wc_Asset_Search_Results%>
                </h3></CENTER>

		<%	if rstemp.eof then %>
				<center>
					<font face=arial color=red>
					<%=wc_No_Matching_Assets_Found%>
					</font>
				</center>
		<%	else %>

		<!-- HEADER ROW grid with 5 columns -->
		<%=wc_Click_on_the_Asset_Link_Block %>
		<p>
		<div class="ui-grid-d" width=100%>
			<div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong>Asset &nbsp;-&nbsp;<%=Description_Label%></strong></div></div>
			<div class="ui-block-b"><div class="ui-bar ui-bar-d"><strong><%=Location_Label%></strong></div></div>
			<div class="ui-block-c"><div class="ui-bar ui-bar-d"><strong><%=Computer_ID_Label%></strong></div></div>
			<div class="ui-block-d"><div class="ui-bar ui-bar-d"><strong><%=Property_Tag_Label%></strong></div></div>
			<div class="ui-block-e"><div class="ui-bar ui-bar-d"><strong><%=Serial_Number_Label%></strong></div></div>

<%
		Do While rstemp.EOF <> True
			%>
			<div class="ui-block-a"><a href=SetAssetToCase.asp?Case_Number=<%=Case_Number%>&Asset_number=<%=rstemp("asset_number")%>>
				<%=rstemp("asset_number")%>&nbsp;-&nbsp;
					<%=rstemp("Equipment_Type")%></a></div>
			<div class="ui-block-b">	<%=rstemp("location")%>	</div>
			<div class="ui-block-c">	<%=rstemp("Computer_id")%>	</div>
			<div class="ui-block-c">	<%=rstemp("Property_tag")%>	</div>
			<div class="ui-block-e">	<%=rstemp("serial_number")%>	</div>
<%
			rstemp.movenext
		loop

   End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>
</div></div></body></HTML>
<% End If  ' End if  ErrorMessage <> "" %>
