<%  ' Module: TicketMobile.asp
	'
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/18/13 SAV		Created DefaultMobile.asp for customer+center mobile interface from toptions page
   '02/26/13 CMB     Billing records too crowded

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
Call GetCustomerConfig()
%>

<% ' Checkd for Customer+Center Logged in Cookie and Page

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie

'debug
'response.write "CookieID = " & cookieid
'response.write " PAGE = " & page

	If CookieID <> "" Then
	  Logged_In = "Yes"
	Else
	  Logged_In = "No"
	End If

   Case_number = request.querystring("Case_Number")
	CaseNumber = Case_Number

	Call SecurityCheck(Case_number)  ' i'm assuming this sets validuser

	if Case_number > 0 AND ValidUser = "NO" Then
	%>
		<%  ASPPage = "DoCustomerOptions.asp?DisplayCase"%>
		<!-- #include file=InvalidcustomerMobile.inc-->
   <%
   Else

	set conntemp=server.createobject("adodb.connection")

	If DatabaseType <> "ACCESS97" Then
		conntemp.CursorLocation = adUseClient
	End If

	conntemp.open myDSN

' Get the case information if not a new case

	If caseNumber <> 0 Then

		mySQL="select * from Cases where case_number = " & caseNumber

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3

		Customer_ID = rstemp("Customer_id")
		Case_one_line = rstemp("Case_one_line")

		Case_History = rstemp("Case_History")
		Case_Summary = rstemp("case_summary")
		Case_Resolution = rstemp("case_resolution")
		Status = rstemp("Status")
		Asset_Number = rstemp("asset_number") ' override passed value

		If (rstemp("Severity")) = NULL Then
			Severity = 0
		Else
			severity = CInt(rstemp("Severity"))
		End If

		' Check for any optional text field values

		Field_1_Value = rstemp("text_field_1")
		Field_2_Value = rstemp("text_field_2")
		Field_3_Value = rstemp("text_field_3")
		Field_4_Value = rstemp("text_field_4")
		Field_5_Value = rstemp("text_field_5")
		Field_6_Value = rstemp("text_field_6")
		Field_7_Value = rstemp("text_field_7")
		Field_8_Value = rstemp("text_field_8")
		Field_9_Value = rstemp("text_field_9")
		Field_10_Value = rstemp("text_field_10")

		' Do Not close the recordset or connection yet since we will
		' need it for displaying the categories

		Status = CInt(Status)
		If Status = "" OR Status <> 1 Then
			sStatus=   wc_Open
		Else
			sStatus=  wc_Closed
		End If

   Else ' new case
   	sStatus = wc_New_Case
   	Field_1_Value = ""
				Field_2_Value = ""
				Field_3_Value = ""
				Field_4_Value = ""
				Field_5_Value = ""
				Field_6_Value = ""
				Field_7_Value = ""
				Field_8_Value = ""
				Field_9_Value = ""
				Field_10_Value = ""
				case_history = ""
				severity = ""
	End If ' End if CaseNumber <> ""

%>
<% '*************************** UI **************************' %>
<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>
     <!-- #INCLUDE FILE="cheaderMobile.inc" -->
    <body>
        <!-- Home -->
        <div data-role="page" id="PageTicket">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->

  <form action="DoTicketMobile.asp" method="POST">
		<input name="Case_Number" id="Case_Number" type=hidden value="<%=Case_Number%>">
<!-- HEADER -->
<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true">
<li>
<div class="ui-grid-b">
<% If caseNumber > 0 then %>
	<div class="ui-block-a"  Style="text-align: center" data-mini="true"><%=wc_Support_Case_Update%></div>
	<div class="ui-block-b" Style="text-align: center" data-mini="true"><%=wc_Case_Number%>: <%=case_Number%></div>
	<div class="ui-block-c" Style="text-align: center" data-mini="true"><%=wc_Status%>: <%=sStatus%></div>
<% Else %>
	<div class="ui-block-a" Style="text-align: center" data-mini="true"><%=wc_New_Case%> </div>
	<div class="ui-block-b" Style="text-align: center" data-mini="true"><%=wc_Case_Number%>: N/A</div>
	<div class="ui-block-c" Style="text-align: center" data-mini="true"><%=wc_Status%>: New Case</div>
<% end if %>
</div>
</li>
</ul>

<!-- ASSETS -->

	<!-- ----------------------------------------------------- -->

	<% ' Display the asset component search button here if the asset db
		' is enabled.  If you only want techs to use the Asset DB
		' then comment out this section of code %>


	<%	If assetDatabase = true AND CustomerAssetsearch <> "NONE" Then
	%>
	<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true">
		<li data-role="list-divider" role="heading" data-mini="true"><%=wc_Assets%></li>
		<li>
			<%If Asset_Number = 0 or Asset_number = "" Or Len(Asset_Number) = 0 then%>
				<%=wc_Select_an_Asset_Optional%>
			<%Else %>
				<a href=AssetInfoMobile.asp?asset_number=<%=Asset_number%>>
				<%=wc_Asset_Number%>: <%=Asset_number%> (<%=wc_View_Info%>)</a>
				<input type=hidden name=asset_number value=<%=Asset_number%>>
			<%End If %>
     </li>

		<%  '****** Customer Asset Search Options are now configured by the web/database table entries %>
<li>
		<%	If CustomerAssetsearch = "CAssetsONLY" Then ' Show customer Assets only			%>
				<a href=ShowCustomerAssetsMobile.asp?Case_Number=<%=CaseNumber%>>Press this button to select an asset to link to this case.</a>
			<%Else %>
				<a href=CAssetSearchMobile.asp?Case_Number=<%=CaseNumber%>>Press this button to select an asset to link to this case.</a>
			<%End If %>
</li>
	</ul>

	<% End IF ' End of if AssetDB enabled %>

<!-- DOWNLOADS -->
<%'AttachFile = "YES" %>
<% If AttachFile = "YES" then %>
	<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true">
		<li data-role="list-divider" role="heading" data-mini="true"><%=wc_Attach_File_To_Case%></li>
		<li>
			<% If  CaseNumber = "" or CaseNumber = 0 Then %>
					First enter and submit case then add attached file.
			<%Else %>
					<a href="CDownloadMobile.asp?C=<%=casenumber%>" data-rel="dialog"  data-transition="fade" data-theme="d" data-icon="arrow-u"><%=wc_Attach_File_To_Case%></a>
			<%end if %>
		</LI>
	</ul>
<% End If ' End if AttachFile = "YES"
	%>

<!-- ONE LINER -->
<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true">
	<li data-role="list-divider" role="heading" data-mini="true"><%=wc_CASE_ONE_LINE_DESCRIPTION%></li>
	<li>
		<input type="text" name="Case_One_Line" id="Case_One_Line" data-mini="true" size="80" maxlength="100" value="<%=Case_one_line%>" />
	</li>
</ul>

<!-- PRIORITY -->
<% ' Optional section to display and set/view the true priority system setting
	' Typically the customer is not allowed to see or set the true priority value
	' Uncomment the line below to enable this hidden feature

'	ShowSetSystemPriority = "YES"

	IF ShowSetSystemPriority = "YES" Then
%>
<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true">
	<li data-role="list-divider" role="heading" data-mini="true"><%=wc_Priority%></li>

<li>
 		  <SELECT name="case_severity" id="case_severity" data-mini="true">
				<%		Call GetPriorities() ' uses saved value of severity %>
			</SELECT>
   </li>
   </ul>

<%
	End If '******************* End of ShowSetSystemPriority = "YES"
%>


<% Call GetCategories()%>


	<% '******* DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>

	<% ' Get the values if they exist

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	set rstemp=conntemp.execute(mySQL)

	If NOT rstemp.EOF  then
		Field_1_Label = rstemp("Field_1_Label")
		Field_2_Label = rstemp("Field_2_Label")
		Field_3_Label = rstemp("Field_3_Label")
		Field_4_Label = rstemp("Field_4_Label")
		Field_5_Label = rstemp("Field_5_Label")
		Field_6_Label = rstemp("Field_6_Label")
		Field_7_Label = rstemp("Field_7_Label")
		Field_8_Label = rstemp("Field_8_Label")
		Field_9_Label = rstemp("Field_9_Label")
		Field_10_Label = rstemp("Field_10_Label")

		Field_1_State = rstemp("Field_1_State")
		Field_2_State = rstemp("Field_2_State")
		Field_3_State = rstemp("Field_3_State")
		Field_4_State = rstemp("Field_4_State")
		Field_5_State = rstemp("Field_5_State")
		Field_6_State = rstemp("Field_6_State")
		Field_7_State = rstemp("Field_7_State")
		Field_8_State = rstemp("Field_8_State")
		Field_9_State = rstemp("Field_9_State")
		Field_10_State = rstemp("Field_10_State")

	End If

	rstemp.close
	set rstemp=nothing
	'conntemp.close ' Close the connection
	'set conntemp=nothing

	'conntemp.close ' Close the connection
	'set conntemp=nothing

	' Now determine if any of the case text fields are enabled for ALL view (=2)

	If Field_1_State = 2 OR Field_2_State = 2 OR  Field_3_State = 2 OR  Field_4_State = 2 OR  Field_5_State = 2 OR  Field_6_State = 2 OR  Field_7_State = 2 OR  Field_8_State = 2 OR  Field_9_State = 2 OR  Field_10_State = 2  THEN
	' At least one field is enabled for ALL view (customer and techs) so open up table cell for it


%>
<div data-role="collapsible"  data-theme="b">
	<h3>Please Complete the Following Fields</h3>
	 <ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">

<%

				Call StateLabels(Field_1_state,Field_1_Label,"text_Field_1",Field_1_Value)
				Call StateLabels(Field_2_state,Field_2_Label,"text_Field_2",Field_2_Value)
				Call StateLabels(Field_3_state,Field_3_Label,"text_Field_3",Field_3_Value)
				Call StateLabels(Field_4_state,Field_4_Label,"text_Field_4",Field_4_Value)
				Call StateLabels(Field_5_state,Field_5_Label,"text_Field_5",Field_5_Value)
				Call StateLabels(Field_6_state,Field_6_Label,"text_Field_6",Field_6_Value)
				Call StateLabels(Field_7_state,Field_7_Label,"text_Field_7",Field_7_Value)
				Call StateLabels(Field_8_state,Field_8_Label,"text_Field_8",Field_8_Value)
				Call StateLabels(Field_9_state,Field_9_Label,"text_Field_9",Field_9_Value)
				Call StateLabels(Field_10_state,Field_10_Label,"text_Field_10",Field_10_Value)
				%>
		</ul></div>
<%
End If ' If no Case Text fields are enabled for customer view
%>
<!-- CASE HISTORY -->
	<% If Case_History <> "" Then %>

		<div data-role="collapsible"  data-theme="b">
			<h3><%=wc_Case_History%></h3>
			 <ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">
						<%
									Case_History = Format_Case_Text(Case_History)
						%>
							<small><%=case_History%></small>
				</ul>
		</div>
<% End If %>

<!--TIME-->
<% ' ******* Display the Extended time Spent Entries if they exist section ********

	' First Check to see if the extended time spent is enabled
	' Secondly, check to see if there are any time spent records associated with case yet
%>

<% ' First get information about the customer to find out if the time and billing record should be displayed
	' This is recorded in the login_ip column of the customer table for that customer.

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Customers where Customer_ID ='" & Customer_ID & "'"
	set rstemp2=conntemp.execute(mySQL2)

	if rstemp2.EOF then
		TimeBillingDisplay = ""
	Else
		TimeBillingDisplay =rstemp2("login_ip") ' This field is used to flag whether to display time and billing
		'record info on customer page - This setting will override the global setting
		'debug
		'response.write "TimeBillingDisplay = " & timebillingDisplay

		If (TimeBillingDisplay = "TECHVIEWONLY" ) Then
			DisplayTimeSpentOnCustomerCase = "NO"
		Else
			' Use Global setting found in CodeCustomizations.inc in language directory
		End IF

		If (TimeBillingDisplay = "CUSTOMERTECHVIEW" ) OR (TimeBillingDisplay = "TECHVIEWONLY")  Then
			DisplayTimeSpentAuthorizationButton = "NO"
		Else
			' Use Global setting found in CodeCustomizations.inc in language directory
		End IF

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>
<% If caseNumber <> 0 and caseNumber <> "" then %>
<% call displaytimespent() %>
<% end if %>

<!-- ADD TO CASE HISTORY -->

<%If Status <> 1 then
	 If Case_History = "" Then
		sTitle = wc_Describe_the_problem_Block
	Else
	   sTitle = wc_Add_new_case_information_below
	 End If
%>

	 <ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">
	 	<li data-role="list-divider" role="heading" data-mini="true"><%=sTitle%></li>
	 	<li>
	 	<textarea name="Case_History" id="Case_History" data-mini="true" rows="3" cols="80" wrap="on">
	 	</textarea>
	 	</li>
	 </ul>
<%
End IF
%>

<!-- resolution/summary -->
	<% If Case_Summary <> ""  then %>
				<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b">
						<li data-role="list-divider" data-mini="true" ><%=wc_Case_Summary%></li>
							&nbsp; <%= Case_Summary%>
					</ul>
<% end if %>
	<% If Case_Resolution <> ""  then %>
				<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b">
						<li data-role="list-divider" data-mini="true" ><%=wc_Case_Resolution%></li>
													&nbsp; <%= Case_Resolution%>
					</ul>
	<%End If ' End of If resolution is not empty %>

<!--SUBMIT/CANCEL-->

	<div class="ui-body ui-body-b">
		<fieldset class="ui-grid-a">
				<div class="ui-block-b"><button type="submit" data-theme="a" data-mini="true" data-icon="check" >Submit</button></div>
				<div class="ui-block-b"><a href="ViewTicketsMobile.asp" data-role="button" data-icon="arrow-r" data-mini="true" >Cancel</a></div>
			<!--	<div class="ui-block-b"><a href="Doccsearch2mobile.asp?Page=1" data-role="button" data-icon="arrow-r" data-mini="true" >Cancel</a></div>-->

	    </fieldset>
		</div>



</FORM>
</div>
</div>
</body>

<% end if %>
<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

		NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")

		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")
		NewText = Replace (NewText, "{g[", "<font color=#008000>")
		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")
		NewText = Replace (NewText, "]r}", "</font>")
		NewText = Replace (NewText, "]g}", "</font>")
		NewText = replace(NewText, chr(10), "<br>")

		Format_Case_Text = NewText

End function
%>
<%

Dim ValidUser ' YES OR NO
Dim Case_Customer_ID
Dim Action 'UpdateCase or

 Sub SecurityCheck(DisplayCase)

'In: DisplayCase
'CookieID - set
'ViewEmailCategoryID - from cookies


	If Displaycase <> "" Then
		Action = "UpdateCase"

	   Field_Validation_Check "Case Number", Displaycase
		Action = "UpdateCase"
		' Before we display the case, verify that the logged in user is
		' the correct Customer_Id for the case that they are attempting
		' to view.  CUSTOMERS CAN ONLY VIEW OR UPDATE THEIR OWN CASES

		' This security check is bypassed if ISS_GROUP_CUSTOMER cookie is set
		' since they might be reading and updating for several users.

		CookieID = Request.Cookies("ISS_CUSTOMER")
		ViewEmailCategoryID = Request.Cookies("ISS_GROUP_CUSTOMER")
		ValidUser = "NO"
		Case_Customer_ID = 0

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Cases where Case_Number = " & DisplayCase

		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then user can't see this

		If  rstemp.EOF  Then
			Case_customer_ID = "No Customer found for case"
		Else
			case_customer_id = rstemp("Customer_ID")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		If ViewEmailCategoryID = "" Then
			If case_customer_id =  CookieID then
					ValidUser = "YES"
				End If
		Else
			' New security check for special group customer permissions
			' Group users should only be able to see cases for customers that
			' are members of that group they are using for the ViewEmailCategoryID

			' To do this checked, we need to get the customer_id from the passed case number
			' and then check if that customer is a member of the group that was passed
			' with the EmailCategoryID

			' Now get case information
			' Now check if this customer is a member of the user group

				mySQL2="SELECT * from EmailCategoryLinks where customer_ID = '" & Case_Customer_ID & "' AND EmailCategoryID = " & ViewEmailCategoryID
				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				set rstemp=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the

				If NOT rstemp.EOF   Then
					ValidUser = "YES"
				End If

				conntemp.close ' Close the connection
				set conntemp=nothing

			End if  ' End of IF ViewEmailCategoryID = ""
	End If
End Sub
%>
	<%
	Sub GetPriorities()
	 ' Fills option box with the List of Priorities
	 %>
	  <OPTION selected value="">Ignore</OPTION>
<%
		set conntemp5=server.createobject("adodb.connection")
		conntemp5.open myDSN

		mySQL="select PriorityID, ShortDesc from Priority where priorityid > 0 order by priorityid"
		set rstemp5=conntemp5.execute(mySQL)

			Do While not rstemp5.EOF
				priorityID = rstemp5("PriorityID")
				ShortDesc = rstemp5("ShortDesc")
				If Severity = Cint(rstemp5("PriorityID")) Then
					%>
						<option value="<%=priorityID%>" SELECTED ><%=ShortDesc%></option>
				<%	Else %>
						<option value="<%=priorityID%>" ><%=ShortDesc%></option>
				<%	End If
				rstemp5.MoveNext
			Loop

		rstemp5.close
		set rstemp5=nothing
		conntemp5.close ' Close the connection
		set conntemp5=nothing
End Sub
	%>

<%
Sub StateLabels(FieldState,Fieldlabel,txt,fieldvalue)
		 If FieldState = 2 Then %>
<li>
		<label for="<%=sName%>" data-mini="true" ><%=Fieldlabel%>:</label>
		<% if fieldvalue > "" then %>
		<input type="<%=txt%>"   name="<%=txt%>" id="<%=txt%>" data-mini="true" size="30" maxlength="100" value="<%=fieldvalue%>"/>
		<% else %>
				<input type="<%=txt%>"   name="<%=txt%>" id="<%=txt%>" data-mini="true" size="30" maxlength="100" value=""/>
		<% end if%>
	</li>

		<% End If
	End Sub
%>

<% Sub GetCategories() %>
	<% '********* CATEGORY DISPLAY **************************%>
	<% ' NOTE assumes rstemp still open because used for c1 etc values %>

<%
		sSql = "select distinct(category_number),Category_name, count(item_name),min(category_index) from categories "
		sSql = sSql & " where state = 1 "
		sSql = sSql & " group by category_Number, category_Name "
		sSql = sSql & " having count(Item_Name) > 0  order by min(category_index) ASC	"

		set conntemp2=server.createobject("adodb.connection")
		conntemp2.open myDSN
		set conntemp3=server.createobject("adodb.connection")
		conntemp3.open myDSN

		set rstemp2 = server.createobject("adodb.recordset")
		set rstemp2=conntemp2.execute(sSQL)
		set rstemp3 = server.createobject("adodb.recordset")

		If  NOT rstemp2.eof then
		%>
			<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true" >
			<li data-role="list-divider" role="heading" data-mini="true" ><%=wc_Select_The_Best_Block%></li>

<%       Do While NOT rstemp2.eof
					Category_name = rstemp2("Category_name")
					Category_number = rstemp2("Category_number")
					sName = "c" & rstemp2("category_number")
%>
					<li>
					<label for="<%=sName%>" data-mini="true" ><%=Category_name%></label>
					<select name="<%=sName%>" id="<%=sName%>" data-mini="true" />
						<option  value= "0">Ignore</option>
<%
						sSql2 = "Select * from categories where category_number = " & Category_number
						sSql2 = sSql2 & " and state = 1 "

						set rstemp3=conntemp3.execute(sSQL2)

						Do While NOT rstemp3.eof
								Item_name = rstemp3("Item_name")
								Item_number = rstemp3("Item_number")
								VarName = "C" & Category_Number

								If casenumber <> 0 or caseNumber <> "" or casenumber <> "0" then %>
										<option  value="<%=Item_Number%>" ><%=Item_Name%></option>
								<% Else
									if  CInt(rstemp(varname)) = CInt(rstemp3("item_number")) Then
									%>
										<option  value="<%=Item_Number%>" SELECTED ><%=Item_Name%></option>
									<% else %>
										<option  value="<%=Item_Number%>" ><%=Item_Name%></option>
									<% end if
								End If
							rstemp3.MoveNext
						loop
						rstemp3.close

             %>
             </Select>
			</li>
			<%
        	rstemp2.MoveNext
       loop
       %>
		<% end if%>
		</ul>
<%
		rstemp2.close
		set rstemp2=nothing
	'	rstemp3.close
		set rstemp3 = nothing
      conntemp2.close
      set conntemp2 = nothing
      conntemp3.close
      set conntemp3 = nothing

      '020513
'rstemp.close
'set rstemp = nothing
	'	conntemp.close ' Close the connection
	'	set conntemp=nothing
End Sub
	%>

	<% sub DisplayTimeSpent() %>

	<% If CaseNumber <> 0 and caseNumber <> "" Then %>

	<% ' Now display any billing records for this case number if they exist %>

		<% ' Get the values if they exist

		TotalBillableHours = 0
		TotalBillableAmount = 0

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & CaseNumber
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3

		' If (TimeSpentBilling = "YES") AND (DisplayTimeSpentOnCustomerCase = "YES") Then  %>

		<div data-role="collapsible"  data-theme="b">
			<h3>Time and Billing Record</h3>
			 <ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">

	<%
		'	If not  rstemp.eof then ' Check to see any time spent values exist for this case number
	'DisplayTimeSpentAuthorizationButton = "NO"
				 IF DisplayTimeSpentAuthorizationButton = "YES"  Then  %>

					<!--	DO A DIALOG BOX HERE		-->
					<a href="AuthorizeTimeSpentMobile.asp?casenum=<%=Casenumber%>" data-rel="dialog"  data-transition="fade" data-theme="d" data-icon="arrow-u">Authorize</a>

				<% End IF ' End of if DisplayTimeSpentAuthorizationButton %>
	      <% 'end if ' rstemp %>


			<% ' Display the extended time spent info now HEADER %>

			<!-- HEADER ROW grid with 6 columns -->




	<%
			Do While rstemp.EOF <> True
				%>

			<div class="ui-grid-a">
					<div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong><%=wc_Date %>: </strong></div></div>
					<div class="ui-block-b"><div class="ui-bar ui-bar-d"><%=rstemp("Invoice_Date") %> </div></div>

					<div class="ui-block-a"><strong><%=wc_Tech %>: </strong></div>
					<div class="ui-block-b"><%=rstemp("last_name") %>, &nbsp; <%=rstemp("first_name") %></div>


					<div class="ui-block-a"><strong><%=wc_Billable%>: </strong></div>
					<div class="ui-block-b">
						<% If rstemp("Billable") = True Then %>
										<%=wc_YES%>
									 <% Else %>
										<%=wc_NO%>
					<% End If %>
					</div>
					<div class="ui-block-a"><strong><%=wc_Hours%>: </strong></div>
					<div class="ui-block-b"><%=rstemp("Hours") %></div>

					<div class="ui-block-a"><strong><%=wc_Hourly_Rate%>: </strong></div>
					<div class="ui-block-b"><%=rstemp("HourlyRate") %></div>

					<div class="ui-block-a"><strong><%=wc_Notes%>: </strong></div>
					<div class="ui-block-b"><%=rstemp("TimeSpentNote") %></div>

	      </div>

				<%
					' Calculate Total Billable Hours

					If rstemp("Billable") = True Then
						TotalBillableHours = TotalBillableHours + rstemp("Hours")
						'-- fix this -- TotalBillableAMount = rstemp("Hours") * rstemp("HourlyRate") + TotalBillableAmount
						' We need to round to 2 dec places in case this calculation generates more e.g. 5.25 * 5.25 = 27.5625

						' we also need to guard against these fields being empty

						 HoldHourlyRate = rstemp("HourlyRate")
						 If isNull(HoldHourlyRate) Then
							HoldHourlyRate = 0
						 End If

						 HoldHours = rstemp("Hours")
						 If isNull(HoldHours) Then
							HoldHours = 0
						 End If

						tempholder = HoldHours * HoldHourlyRate
						tempholder = Round(tempholder,2)
						TotalBillableAmount = TotalBillableAmount + tempholder

					End IF

					TotalHours = TotalHours + rstemp("Hours") ' Always in hours independently of billable.

					rstemp.MoveNext
			Loop
	%>
	</div>
	<%
		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
	%>
		<!-- SUMMARY -->
	<% ' Now display the summary information for time spent %>
				<div class="ui-grid-a" width=100%>
					<div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong><%=wc_Billable_Total%></strong></div></div>
					<div class="ui-block-b"><div class="ui-bar ui-bar-d"><strong><%=TotalBillableHours%> &nbsp;<%=wc_HRS%>&nbsp;/&nbsp;<%=wc_Time_Spent_Currency%>&nbsp;<%=TotalBillableAmount %>&nbsp;</strong></div></div>
				</div>
	</ul>
	<%
	'end if 'display billing
	 end if 'case number  > ""
	%>
	<% ' **************************** End of Time Spent Info %>
	<%' end if end of time spent? %>
</div>
<% end sub %>