<%  ' Module: ViewTicketsMobile.asp
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/18/13 SAV		Created ViewTicketsMobile.asp for customer+center mobile interface from toptions page

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
call GetCustomerConfig()
DateFormat = GetDateDisplayFormat()

%>

<% ' Check for Customer+Center Logged in Cookie and Page

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie

'debug
'response.write "CookieID = " & cookieid
'response.write " PAGE = " & page

If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
  'response.redirect("Default.asp")
End If
' if not logged in, direct somewhere else
%>

<% ' **************** START OF Mobile HTML jquery code   ********************* %>


<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>

     <!-- #INCLUDE FILE="cheaderMobile.inc" -->

    <body>
        <!-- Home -->
        <div data-role="page" id="page1">
            <div data-role="content">
<!-- #INCLUDE FILE="UpperNavBar.inc" -->

<% ' Start of View Tickets in a collapsible list
%>

<% ' Start with OPEN Tickets %>

				<div data-role="collapsible">
				<%	Call GetTickets(CookieID,"OPEN") %>
					</ul>
				</div>

<% ' End of OPEN tickets %>

<% ' Start of Closed Tickets %>

				<div data-role="collapsible">
				<%	Call GetTickets(CookieID,"CLOSED") %>
				</div>

<% 'End of Closed Tickets %>

           </div>
        </div>
    </body>
</html>

<% Sub GetTickets(Customer_ID, Which)

	sSql = "select case_number, case_one_line, status, severity, mod_date, mod_time from cases where customer_ID = '" & Customer_ID & "' "
	if Which="OPEN" then
		sSql = sSql & " and Status <> 1"
	else
		sSql = sSql & " and Status = 1"
	End If
   sSql = sSql & " Order by mod_date Desc "

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
	set rstemp = Server.CreateObject("adodb.recordset")

'	set rstemp=conntemp.execute(mySQL)
	rstemp.open sSql, conntemp, adopenstatic

	if not rstemp.eof then
		cnt = rstemp.RecordCount
	else
		cnt = 0
	End If
		If which = "OPEN" then
			sWhich = "Open Tickets"
		else
			sWhich = "Closed Tickets"
		End If
	%>

						<h2><%=sWhich%><span style="text-align: right;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<%=cnt%>)</span></h2>
						<ul data-role="listview" data-theme="d" data-divider-theme="d">

  <%
		Do While NOT rstemp.EOF
	%>
						<li><a href="TicketMobile.asp?Case_Number=<%=rstemp("Case_Number")%>" >
						<p><strong><%=rstemp("Case_One_Line")%></strong></p>
						  <p><%=wc_Case_number%>: &nbsp;&nbsp; <%=rstemp("Case_Number")%>

	<%
' STATUS
					If CInt(rstemp("status")) = 1 then
						sStatus =  "<font  color=red>" & wc_Closed & "</font>"
					Elseif  CInt(rstemp("status")) = 0 then
						sStatus ="<font  color=green>" & wc_Open_Active & "</font>"
					Elseif  CInt(rstemp("status")) = 2 then
						sStatus ="<font  color=green>" & wc_Open_Waiting & "</font>"
					Elseif  CInt(rstemp("status")) = 3 then
						sStatus = "<font  color=green>" & wc_Open_On_Hold & "</font>"
					End If
%>
               &nbsp;&nbsp;(<%=sStatus%>)&nbsp;&nbsp;&nbsp;
               <%
               ' get last mod date and format it
               mod_Date = rstemp("Mod_Date")
               mod_time = rstemp("Mod_time")
          dt = UnMakeYYYYMMDD(mod_Date,DateDisplayFormat)
          tm = ConvertTimeForDisplay(mod_time)
          %>
          [Updated: <%=dt%> &nbsp;&nbsp;&nbsp;<%=tm%>]
						</p></a></li>
<%

			rstemp.movenext
		loop


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	%>
	</UL>
<%
End Sub
%>
<%
Function GetDateDisplayFormat()
'Gets the value of the date display format from the Configuration Table
	Dim sDateDisplay

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN

	mySQL2="select * from Configuration"
	'set rstemp2=conntemp.execute(mySQL2)
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	' Check to see if any records are returned
	' if none found then
	if rstemp2.EOF then
		sDateDisplay =  "MMDDYYYY"
	Else
		sDateDisplay = rstemp2("Date_Display_Format")
	End If
	GetDateDisplayFormat = sDateDisplay

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	set conntemp = nothing

End Function


Function UnMakeYYYYMMDD(Datestring,DateDisplayFormat)
' this function takes a yyyymmdd date string and formats to either mm/dd/yy or dd/mm/yyyy for displaying
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in DB_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If DateDisplayFormat = "DDMMYYYY" Then
		UnMakeYYYYMMDD = mid(Datestring,7,2) & "/" & mid(Datestring,5,2)  &  "/" & mid(Datestring,1,4)
	else ' Default to US version
		UnMakeYYYYMMDD = mid(Datestring,5,2) & "/" & mid(Datestring,7,2) & "/" & mid(Datestring,1,4)
	End IF
End Function

Function ConvertTimeForDisplay(TimeString)
	ConvertedmodTime = mid(TimeString, 1,2) & ":" & mid(TimeString,3,2)
	ConvertedHour = int(mid(TimeString,1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedmodTime = CStr(ConvertedHour) & mid(ConvertedmodTime, 3,3)
	Else
		AMPM = " AM"
	End If
	ConvertTimeForDisplay=ConvertedmodTime & "  " & AMPM
End Function
%>




