<%  ' Module: Defaultmobile.asp
	'
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original BOptions.asp
   '10/17/00 SAV	Created from BOptions.asp module
   '6/14/2004 JC    Created new buttons for this panel
   '09/27/11  CMB   Added stuff for Projects
   '10/05/11  CMB   Removed several buttons (email to case, config file used for reservation button)
   '1/18/13 SAV		Created DefaultMobile.asp for customer+center mobile interface from toptions page

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% IF adOpenForwardOnly = "" Then %>
<% '<!-- #INCLUDE FILE="Adovbs.inc" -->
%>

<%End IF %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"


	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
		If CInt(AssetDatabase) = 1 Then
			AssetDatabase = True
		End If


        Ldap_enabled = rstemp2("Option1") ' Field to enable LDAP integration

		TextMessagingEnabled = rstemp2("Option2")
		Language = rstemp2("Language")

		If Instr(Language, "Calendar" ) Then
			DisableWebCenterCalendar = "NO"
		Else
			DisableWebCenterCalendar = "YES"
		End If

		'***** 7.5
		If Version7point5 = "YES" then
			EnableProjects = rstemp2("Projects")
			AssetInspections = rstemp2("AssetInspections")
			ReservationCenter = rstemp2("ReservationCenter")

			YourCustomerCenterName = rstemp2("customer_Name_html")

			If CustomerCenterMobileBannerName <> "" Then
				YourCustomerCenterName = CustomerCenterMobileBannerName
			End If

		End If

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Get the Customer=Center Message Board (Formerly the Business+center white board)

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from bConfiguration" ' We will allow up to 10 Priority values
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3


	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		CustomerMessageBoard = "" ' Default to no message
	Else
		CustomerMessageBoard = rstemp2("BWhiteboard")


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Checked for Customer+Center Logged in Cookie and Page



CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie

'debug
'response.write "CookieID = " & cookieid
'response.write " PAGE = " & page



If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
End If

%>

<% ' **************** START OF Mobile HTML jquery code   ********************* %>


<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>


    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="apple-mobile-web-app-status-bar-style" content="black" />
        <title>
        </title>
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/jquery.mobile/1.2.0/jquery.mobile-1.2.0.min.css" />
        <link rel="stylesheet" href="my.css" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/jquery.mobile/1.2.0/jquery.mobile-1.2.0.min.js">
        </script>
        <script src="my.js">
        </script>
        <!-- User-generated css -->
        <style>
        </style>
        <!-- User-generated js -->
        <script>
            try {

    $(function() {

    });

  } catch (error) {
    console.error("Your javascript has an error: " + error);
  }
        </script>
    </head>
    <body>
        <!-- Home -->
        <div data-role="page" id="page1">
            <div data-role="content">
                <div class="ui-grid-a" valign=top>
                    <div class="ui-block-a">
                    <img src="/<%=WCLanguageDirectory%>/cdefault.gif">
                    </div>
                    <div class="ui-block-b" valign=top>
                    <h5><%=YourCustomerCenterName%>
                    </h5>
                    </div>
                </div>

                <div data-role="navbar" data-iconpos="left">
                    <ul>
                        <li>
                            <a href="defaultmobile.asp" data-transition="fade" data-theme="d" data-icon="home">
                                Home
                            </a>
                        </li>
                        <li>

<% If Logged_in = "Yes" Then %>

                            <a href="customerlogoutmobile.asp" data-transition="fade" data-theme="d" data-icon="arrow-d">
                                Logout
                            </a>

<% Else %>

                            <a href="customerloginmobile.asp" data-transition="fade" data-theme="d" data-icon="arrow-u">
                                Login
                            </a>
<% End If %>


                        </li>
                        <li>
                            <a href="SiteInfo.asp" data-transition="fade" data-theme="d" data-icon="">
                                Site Info
                            </a>
                        </li>
                    </ul>
                </div>


<% ' DO NOT display this second toolbar if the user is not logged into the customer+Center mobile

	' debugging
	'Logged_In = "Yes"


	If Logged_IN = "Yes" Then
%>

                <div data-role="navbar" data-iconpos="left">
                    <ul>
                        <li>
                            <a href="CreateTicketMobile.asp" data-transition="fade" data-theme="d" data-icon="plus">
                                Ticket
                            </a>
                        </li>
                        <li>
                            <a href="ViewTicketsMobile.asp" data-transition="fade" data-theme="" data-icon="info">
                                View
                            </a>
                        </li>
                        <li>
                            <a href="MobileSettings.asp" data-transition="fade" data-theme="" data-icon="gear">
                                Settings
                            </a>
                        </li>
                    </ul>
                </div>

<% End If ' End of IF Logged_In = "Yes" %>



<% If Page <> "SuccessfulLogin" OR Logged_in = "No" Then ' Do not show buttons if logged in
%>



<% ' IF LDAP is enabled, then the standard Customer+center Create New Account is removed.

	' If you want it too, then uncomment the line below.

	 'ShowCCLogin = "YES"

	If LDAP_Enabled <> "1"  AND ShowSelfRegistration = "YES" AND Logged_in = "No" Then

	%>


                <a data-role="button" href="newaccountmobile.asp" data-icon="plus" data-iconpos="left" data-mini="true">
                    Add New Account
                </a>

    <% End If %>


	<% If  DisplayFAQPageOption = "YES" Then
	%>

                <a data-role="button" href="#page1" data-icon="search" data-iconpos="left"  data-mini="true">
                    View FAQ
                </a>

   <% End If ' End of If DisplayFAQPage %>

<% If 		ShowCustomerSearchPage = "YES" Then %>



                <a data-role="button" href="#page1" data-icon="search" data-iconpos="left" data-mini="true">
                    Search Help Database
                </a>
<% End IF %>



<% If TextMessagingEnabled = "1" Then %>

                <a data-role="button" href="#page1" data-icon="star" data-iconpos="left" data-mini="true">
                    Text Support Chat
                </a>

<% End if %>


<%	If LDAP_Enabled <> "1"  Then %>

                <a data-role="button" href="#page1" data-icon="alert" data-iconpos="left" data-mini="true">
                    Recover Password
                </a>
<% End If %>



<% End IF  ' End of If Logged_in <> "YES" %>





<%  If Page = "SuccessfulLogin" Then
 		DisplayCustomerInfo(cookieID)
	End IF
%>




            </div>
        </div>
    </body>
</html>



<% Sub DisplayCustomerInfo(customer_id)

	' Now Get the customer Information for NEw or existing Cases


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Response.write " Customer  Not Found "
		Else
			' Get all of the fields
			contact_fname = rstemp2("contact_fname")
			contact_lname = rstemp2("contact_lname")
			company = rstemp2("company")
			address = rstemp2("address")
			mailstop = rstemp2("mailstop")
			city = rstemp2("city")
			state = rstemp2("state")
			zip = rstemp2("Zip")
			country = rstemp2("Country")
			email = rstemp2("Email")
			phone1 = rstemp2("Phone1")
			phone2 = rstemp2("phone2")
			fax = rstemp2("fax")
			contact_method = rstemp2("contact_method")
			contact_times = rstemp2("Contact_times")


		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


response.write " <br><center>Welcome back " & contact_fname & " " & contact_lname & "</center>"
response.write " <ul><li>Press Ticket to add a new ticket"
response.write " <li> Press View to view existing tickets"
response.write " <LI> Press Settings to edit your info"
response.write " </ul>"


End Sub
%>






