<%  ' Module: ViewTicketsMobile.asp
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/18/13 SAV		Created ViewTicketsMobile.asp for customer+center mobile interface from toptions page

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
call GetCustomerConfig()
%>

<% ' Check for Customer+Center Logged in Cookie and Page

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie

'debug
'response.write "CookieID = " & cookieid
'response.write " PAGE = " & page

If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
  'response.redirect("Default.asp")
End If
' if not logged in, direct somewhere else
%>

<% ' **************** START OF Mobile HTML jquery code   ********************* %>


<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>

     <!-- #INCLUDE FILE="AjaxLibs.inc" -->

    <body>
        <!-- Home -->
        <div data-role="page" id="page1">
            <div data-role="content">
<!-- #INCLUDE FILE="UpperNavBar.inc" -->

<% ' Start of View Tickets in a collapsible list
%>

<% ' Start with OPEN Tickets %>

				<div data-role="collapsible">
					<h2>Open Tickets</h2>
					<ul data-role="listview" data-theme="d" data-divider-theme="d">
				<%	Call GetTickets(CookieID,"OPEN") %>
					</ul>
				</div>

<% ' End of OPEN tickets %>

<% ' Start of Closed Tickets %>

				<div data-role="collapsible">
					<h2>Closed Tickets</h2>
					<ul data-role="listview" data-theme="d" data-divider-theme="d">
				<%	Call GetTickets(CookieID,"CLOSED") %>
					</ul>
				</div>

<% 'End of Closed Tickets %>

           </div>
        </div>
    </body>
</html>

<% Sub GetTickets(Customer_ID, Which)

	sSql = "select case_number, case_one_line, status, severity from cases where customer_ID = '" & Customer_ID & "' "
	if Which="OPEN" then
		sSql = sSql & " and Status <> 1"
	else
		sSql = sSql & " and Status = 1"
	End If

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
	set rstemp = Server.CreateObject("adodb.recordset")

'	set rstemp=conntemp.execute(mySQL)
	rstemp.open sSql, conntemp, adopenstatic

	if not rstemp.eof then
		cnt = rstemp.RecordCount
	else
		cnt = 0
	End If
	%>
		<li data-role="list-divider">Friday, October 8, 2010 <span class="ui-li-count"><%=cnt%></span></li>
  <%
		Do While NOT rstemp.EOF
	%>
						<li><a href="CaseMobile.asp?CaseNumber=<%=rstemp("Case_Number")%>" >
							<h3>Stephen Weber</h3>
							<p><strong><%=rstemp("Case_One_Line")%></strong></p>
							<p>Hey Stephen, if you're available at 10am tomorrow, we've got a meeting with the jQuery team.</p>
							<p class="ui-li-aside"><strong>6:24</strong>PM</p>
							<p>
	<%
' STATUS
					If CInt(rstemp("status")) = 1 then
						Response.write "<font  color=red>" & wc_Closed & "</font>"
					Elseif  CInt(rstemp("status")) = 0 then
						Response.write "<font  color=green>" & wc_Open_Active & "</font>"
					Elseif  CInt(rstemp("status")) = 2 then
						Response.write "<font  color=green>" & wc_Open_Waiting & "</font>"
					Elseif  CInt(rstemp("status")) = 3 then
						Response.write "<font  color=green>" & wc_Open_On_Hold & "</font>"
					End If
%>

						</p></a></li>
<%

			rstemp.movenext
		loop


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
End Sub
%>

<% Sub DisplayCustomerInfo(customer_id)

	' Now Get the customer Information for NEw or existing Cases


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		if rstemp2.EOF then
			Response.write " Customer  Not Found "
		Else
			' Get all of the fields
			contact_fname = rstemp2("contact_fname")
			contact_lname = rstemp2("contact_lname")
		'	company = rstemp2("company")
		'	address = rstemp2("address")
		'	mailstop = rstemp2("mailstop")
		'	city = rstemp2("city")
		'	state = rstemp2("state")
		'	zip = rstemp2("Zip")
		'	country = rstemp2("Country")
		'	email = rstemp2("Email")
		'	phone1 = rstemp2("Phone1")
		'	phone2 = rstemp2("phone2")
		'	fax = rstemp2("fax")
		'	contact_method = rstemp2("contact_method")
		'	contact_times = rstemp2("Contact_times")


		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


response.write " <br><center>Welcome back " & contact_fname & " " & contact_lname & "</center>"
response.write " <ul><li>Press Ticket to add a new ticket"
response.write " <li> Press View to view existing tickets"
response.write " <LI> Press Settings to edit your info"
response.write " </ul>"


End Sub
%>






