<% 'Module: CAssetSearchMobile.asp

   'Description: This module is the Asset search engine first page.
   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/31/12 CMB     Don't put out things that don't have labels defined

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->


<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%
Call GetCustomerConfig()
%>



<% ' To customize the Asset labels, edit the file called AssetLabels.inc
	' and then copy the edited file to customercenter directory
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<% ' Get the Case_Number from the link
	' The Case number maybe "0" if this is a new case
	Case_number = request.querystring("case_number")
	Field_Validation_Check "Case Number", Case_number
%>

<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
    <body>
        <!-- Home -->
        <div data-role="page" id="PageCFindAsset">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
              <%=wc_Find_Asset%>
                </h3></CENTER>

		 <form action="DoCAssetSearchMobile.asp" method="POST">
 			<input type=hidden name=case_number value=<%=Case_number%>>

	 <ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">
	 	<li data-role="list-divider" role="heading" data-mini="true"><%=wc_Step%> 1:&nbsp;<%=wc_Asset_Search_Block_2%></li>

     <li>
			<div data-role="fieldcontain">
				<fieldset data-role="controlgroup" data-mini="true">
					<label for="asset_number">
						 <%=wc_Asset_Number%>:
					</label>
					<input type=text name="asset_number" id="asset_number" size="10" maxlength="20" type="text" />
			  </fieldset>
		 </div>
	 </li>

	 	<% if Computer_ID_Label > "" then %>
	    <li>
	 			<div data-role="fieldcontain">
	 				<fieldset data-role="controlgroup" data-mini="true">
	 					<label for="computer_id">
	 						 <%=Computer_ID_Label%>:
	 					</label>
	 					<input type=text name="computer_id" id="computer_id" size="20" maxlength="20" type="text" />
	 			  </fieldset>
	 		 </div>
	 </li>
  <% end if %>

      <% if Property_Tag_label > "" then %>
  	    <li>
  	 			<div data-role="fieldcontain">
  	 				<fieldset data-role="controlgroup" data-mini="true">
  	 					<label for="property_tag">
  	 						<%=Property_Tag_label%>:
  	 					</label>
  	 					<input type=text name="property_tag" id="property_tag" size="20" maxlength="20" type="text" />
  	 			  </fieldset>
  	 		 </div>
  	 </li>
  <% end if %>

     	<% if Description_label > "" then %>
    	    <li>
    	 			<div data-role="fieldcontain">
    	 				<fieldset data-role="controlgroup" data-mini="true">
    	 					<label for="equipment_type">
    	 						<%=Description_label%>:
    	 					</label>
    	 					<input type=text name="equipment_type" id="equipment_type" size="20" maxlength="20" type="text" />
    	 			  </fieldset>
    	 		 </div>
    	 </li>
  <% end if %>

     <% if Serial_Number_Label > "" then %>
      	    <li>
      	 			<div data-role="fieldcontain">
      	 				<fieldset data-role="controlgroup" data-mini="true">
      	 					<label for="serial_number">
      	 						<%=Serial_Number_Label%>:
      	 					</label>
      	 					<input type=text name="serial_number" id="serial_number" size="20" maxlength="20" type="text" />
      	 			  </fieldset>
      	 		 </div>
      	 </li>
  <% end if %>

  <% if Location_Label > "" then %>
      	    <li>
      	 			<div data-role="fieldcontain">
      	 				<fieldset data-role="controlgroup" data-mini="true">
      	 					<label for="location">
      	 						<%=Location_Label%>:
      	 					</label>
      	 					<input type=text name="location" id="location" size="20" maxlength="20" type="text" />
      	 			  </fieldset>
      	 		 </div>
      	 </li>
  <% end if %>
</ul>

	 <ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">
	 	<li data-role="list-divider" role="heading" data-mini="true"> <%=wc_Step%> 2:&nbsp;<%=wc_Asset_Search_Block%></li>
<li>

		  <!--SUBMIT/CANCEL-->
  			<div class="ui-body ui-body-b">
						  		<fieldset class="ui-grid-a">
						  				<div class="ui-block-b"><button type="submit" data-theme="a" data-mini="true" data-icon="check" value="Search" >Search</button></div>
				<div class="ui-block-b"><a href="TicketMobile.asp?Case_number=<%=Case_Number%>" data-role="button" data-icon="arrow-r" data-mini="true" >Cancel</a></div>

						  	    </fieldset>
							</div>

			</li>
	<!-- end of submit cancel -->
</ul>
				                </form>
            </div>
        </div>
    </body>
</html>


