<%  ' Module: Case.asp
	'
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/308/13 CMB		Mobile Case Display Page

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

Call GetCustomerConfig()

<% ' Check for Customer+Center Logged in Cookie and Page
CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie

If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
End If

%>

<% ' **************** START OF Mobile HTML jquery code   ********************* %>


<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>

<!-- #INCLUDE FILE="CHeader.inc" -->

    <body>
        <!-- Home -->
        <div data-role="page" id="PageCase">
            <div data-role="content">

<!-- #INCLUDE FILE="UpperNavBar.inc" -->

<% ' Start with OPEN Tickets %>

				<div data-role="collapsible">
					<h2>Open Tickets</h2>
					<ul data-role="listview" data-theme="d" data-divider-theme="d">
						<li data-role="list-divider">Friday, October 8, 2010 <span class="ui-li-count">2</span></li>
						<li><a href="index.html">
							<h3>Stephen Weber</h3>
							<p><strong>You've been invited to a meeting at Filament Group in Boston, MA</strong></p>
							<p>Hey Stephen, if you're available at 10am tomorrow, we've got a meeting with the jQuery team.</p>
							<p class="ui-li-aside"><strong>6:24</strong>PM</p>
						</a></li>
						<li><a href="index.html">
							<h3>jQuery Team</h3>
							<p><strong>Boston Conference Planning</strong></p>
							<p>In preparation for the upcoming conference in Boston, we need to start gathering a list of sponsors and speakers.</p>
							<p class="ui-li-aside"><strong>9:18</strong>AM</p>
						</a></li>
					</ul>
				</div>

<% ' End of OPEN tickets %>

<% ' Start of Closed Tickets %>

				<div data-role="collapsible">
					<h2>Closed Tickets</h2>
					<ul data-role="listview" data-theme="d" data-divider-theme="d">
						<li data-role="list-divider">Friday, October 8, 2010 <span class="ui-li-count">2</span></li>
						<li><a href="index.html">
							<h3>Stephen Weber</h3>
							<p><strong>You've been invited to a meeting at Filament Group in Boston, MA</strong></p>
							<p>Hey Stephen, if you're available at 10am tomorrow, we've got a meeting with the jQuery team.</p>
							<p class="ui-li-aside"><strong>6:24</strong>PM</p>
						</a></li>
						<li><a href="index.html">
							<h3>jQuery Team</h3>
							<p><strong>Boston Conference Planning</strong></p>
							<p>In preparation for the upcoming conference in Boston, we need to start gathering a list of sponsors and speakers.</p>
							<p class="ui-li-aside"><strong>9:18</strong>AM</p>
						</a></li>
					</ul>
				</div>

<% 'End of Closed Tickets %>








            </div>
        </div>
    </body>
</html>



<% Sub DisplayCustomerInfo(customer_id)

	' Now Get the customer Information for NEw or existing Cases


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Response.write " Customer  Not Found "
		Else
			' Get all of the fields
			contact_fname = rstemp2("contact_fname")
			contact_lname = rstemp2("contact_lname")
			company = rstemp2("company")
			address = rstemp2("address")
			mailstop = rstemp2("mailstop")
			city = rstemp2("city")
			state = rstemp2("state")
			zip = rstemp2("Zip")
			country = rstemp2("Country")
			email = rstemp2("Email")
			phone1 = rstemp2("Phone1")
			phone2 = rstemp2("phone2")
			fax = rstemp2("fax")
			contact_method = rstemp2("contact_method")
			contact_times = rstemp2("Contact_times")


		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


response.write " <br><center>Welcome back " & contact_fname & " " & contact_lname & "</center>"
response.write " <ul><li>Press Ticket to add a new ticket"
response.write " <li> Press View to view existing tickets"
response.write " <LI> Press Settings to edit your info"
response.write " </ul>"


End Sub
%>






