<% 'Module: DoCaseFormMobile.asp

   'Description: This module add or updates the case table
   ' with the new case information. It displays an intermediate page
   ' that shows the Case Number and information about the case
   ' with an continue button to return back to options.
   ' This functions sends out emails to the customers, and techs
   ' notifying them of this new case.

   '(C) 2000 - 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateTechUpdate.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateCustomerNotification.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateAdditionalNotification.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the form data

	Customer_ID =  Request.Cookies("ISS_Customer")

  	Dim TechEmailSent  '  CMB 05/05/2011
    TechEmailSent = 0  '  CMB 05/05/2011
	Dim AssignedTechID '  CMB 05/05/2011
	AssignedTechID = 0 '  CMB 05/05/2011

		Case_Number = Request.form("Case_Number")
		If Case_Number = "" Or Case_Number = "0" Then
			Case_Number = 0
			CaseType = "NEW"
		End If

		' Get Priority (Severity) from customer case form incase it is passed
		' Typically it is not

		Case_Severity = Request.form("Case_Severity")


        Field_Validation_Check "Case Number", Case_Number

		Case_History = Request.form("Case_History")

		Case_History = "Case History:" & vbCRLF & Case_History


		Case_One_Line = Request.form("Case_One_Line")
		Asset_Number = Request.form("Asset_Number")

		Text_Field_1 = Request.form("Text_field_1")
		Text_Field_2 = Request.form("Text_field_2")
		Text_Field_3 = Request.form("Text_field_3")
		Text_Field_4 = Request.form("Text_field_4")
		Text_Field_5 = Request.form("Text_field_5")
		Text_Field_6 = Request.form("Text_field_6")
		Text_Field_7 = Request.form("Text_field_7")
		Text_Field_8 = Request.form("Text_field_8")
		Text_Field_9 = Request.form("Text_field_9")
		Text_Field_10 = Request.form("Text_field_10")


		' We will get and store all of the categories below.

		' Call functions to get configuration and SMTP info

	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")



		MaxHistorySize =  CLng(rstemp("max_case_history_size"))
		MaxSummarySize =  CLng(rstemp("max_case_summary_size"))    ' changed from cint 01/10/13
		MaxResolutionSize =  CLng(rstemp("max_case_resolution_size"))   ' changed from cint 01/10/13

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out

		' New 5.0 SMTP mailer options

		SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
		SMTP_User_Name = rstemp("SMTP_User_Name")
		SMTP_Password = rstemp("SMTP_Password")

		If SendHTMLEmail = True Then
			HTMLEmail = "YES"
		Else
			HTMLEmail = ""
		End IF


		' Version 7.0 fields
		If AdditionalNotificationEmails = "YES" Then
			'Extracts the Primary additional notification email address

			PrimaryAdditionalNotificationEmail = rstemp("PrimaryAdditionalNotificationEmail") '
		End If



		'Debugging
		'response.write "AdditionalNotificationEmails  = " & AdditionalNotificationEmails
		'response.flush
		'response.end



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


		' Old method
		'GetDatabaseConfiguration MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify

		CreateTimeDateValues DateString, TimeString, DateTimeString
		DefaultGroupNumber = GetDefaultGroupNumber()

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message

		If Case_One_Line  = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_The_case_one_line_field_must_be_completed
		End If


	' **********************USER CUSTOMIZATION AREA******************************
	' MAKING CATEGORY SELECTIONS REQUIRED
	' If you want to make certain categories required for the customer, uncomment
	' the lines of code below and set the Category number to the category number for
	' category you wish to be required.  The category number can be found by opening
	' up the Categories table and view the Category_Number column.

	' Uncomment and modify the RequireCategoryNumber and RequiredCategoryMessage values


'		RequiredCategoryNumber = 2
'		RequiredCategoryMessage = "You must select one of the category choices"
'		If Request.form("C" & RequiredCategoryNumber) = "0"   Then
'			ErrorMessage = ErrorMessage & "<LI> " & RequiredCategoryMessage
'		End If

'		RequiredCategoryNumber = 2
'		RequiredCategoryMessage = "You must select one of the category choices"
'		If Request.form("C" & RequiredCategoryNumber) = "0"   Then
'			ErrorMessage = ErrorMessage & "<LI> " & RequiredCategoryMessage
'		End If

'		RequiredCategoryNumber = 2
'		RequiredCategoryMessage = "You must select one of the category choices"
'		If Request.form("C" & RequiredCategoryNumber) = "0"   Then
'			ErrorMessage = ErrorMessage & "<LI> " & RequiredCategoryMessage
'		End If

'		MAKING Optional Text Field required Uncomment the 3 lines blow as needed and customize the message

'		If Text_Field_1 = "" Then
'			ErrorMessage = ErrorMessage & "<LI> " & "Text field 1 must be completed"
'		End If

'		If Text_Field_2 = "" Then
'			ErrorMessage = ErrorMessage & "<LI> " & "Text field 2 must be completed"
'		End If



	' *********************END USER CUSTOMIZATION AREA******************************


		' Check to see if the size of the case_history is larger
		' or will be larger than the maximum size allowed in
		' the configuration file


		If Len(Case_History) >= (Clng(MaxHistorySize) - 100)   Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Case_History_text_is_too_long
		End If


		If Case_Number <> "" Then
			If GetCasestatus(Case_Number) = "CLOSED" Then
				ErrorMessage = ErrorMessage & "<LI> " & wc_Case_Already_Closed_Block
			End If
		End If

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Customerusererror.inc" -->

	<% Else 'Otherwise either add new or update case record
		' DO NOT MODIFY this code below with caution:
		' The case record has some required fields and the
		' several of the fields must be carefully filled in
		' to make other parts of the system work correctly.


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" Then
			NewRecord.CursorLocation = adUseClient
		End If

		SQL = "Select * from Cases where case_number = " & case_number
		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		If NewRecord.EOF = True Then
			NewRecord.AddNew

			' For new records we fill in the
			' the opendate and open time fields
			' with the following formats:
			' OpenDate: YYYYMMDD

			' OpenTime: HHMMSS
			NewRecord("modified_flag") = 1
			NewRecord("Open_Date") = DateString ' YYYYMMDD
			NewRecord("Open_Time") = TimeString ' HHMMSS
			NewRecord("mod_date") = DateString ' YYYYMMDD
			NewRecord("mod_time") = TimeString ' HHMMSS

	' Reopen_Date and reopen_time fields are not really used
		' so we will use these fields to determine if it is new
		' case by only setting them during tech updates.
		' Do not set the reopen_date and reopen_time with new case creation

			'NewRecord("Reopen_Date") = Datestring
			'NewRecord("reopen_Time") = TimeString


			NewRecord("Customer_ID") = Customer_ID

			'********************** User Customization Option ********************
			' Uncommenting and editing the line below will automatically
			' assign the case to the defined tech when the case is first created in the
			' the customer+center application. This option should only
			' be enabled for small support organizations that want to always
			' initially assign the case to one tech.  The typical method is to have
			' group assignments made, but the tech assignment is done by techs or
			' dispatchers in the tech+center application.

			' Note: The Tech_ID defined must match the case of the Tech_ID in the tech_staff table.

			'InitialTechAssignment = "CSS-1000" ' Uncomment and edit the CSS-1000 to the desired tech


			If InitialTechAssignment <> "" Then
				NewRecord("Tech_ID") = InitialTechAssignment
			End If


			'***********************End User Customizations ***********************


			' Default Group Is set below by either categories or default Group
			'NewRecord("Group_Number") = DefaultGroupNumber - See Below

			NewRecord("Dup_case_num") = 0
			NewRecord("Status") = 0

			NewRecord("Severity") = 0

			' In special cases, the true case severity (priority might be passed and set here)

			If Case_Severity = "" Then
				NewRecord("Severity") = 0 ' Set back to 0 (un-assigned)
			Else
				NewRecord("Severity") = Case_Severity
			End IF


			NewRecord("Case_One_Line") = Case_One_Line
			If Asset_Number = "" Then
				NewRecord("Asset_Number") = 0 ' Default to zero
			Else
				NewRecord("Asset_Number") = Asset_Number
			End If


			' Set the case severity if it is passed

			If Case_Severity = "" Then
				NewRecord("Severity") = 0 ' Set back to 0 (un-assigned)
			Else
				NewRecord("Severity") = Case_Severity
			End IF




			NewRecord("Category_Count") = 100 ' Default to 100


			' Read and set all of the categories that have come in

			For i = 1 to 50 ' Set to up to 100 if necessary

				CategoryColumn = "C" & i
				CategoryValue = Request.form(CategoryColumn)
				If CategoryValue = "" OR IsNumeric(CategoryValue) = False Then
					CategoryValue = 0
				Else ' Value must be set so check if this defines a default group
					Category_Number = i
					Category_Item = CategoryValue
					' Perform small query to see if initial group assignment is set
					' for this category

					mySQL5="SELECT * from Categories where Category_Number = " & Category_Number & " AND Item_number = " & Category_Item

					'Response.write "SQL=" & mySQL5

					set rstemp5=conn.execute(mySQL5)

					if rstemp5.EOF then
						' This should not happen but ok
					Else
						Group_Number = rstemp5("Group_Number")
						If Group_Number <> "" Then
							NewDefaultGroup = Group_Number
						End IF

					End IF

					rstemp5.close
					set rstemp5=nothing

				End If
				NewRecord(CategoryColumn) = CategoryValue
			Next

			'* * * * * * * * * * * * * * * * * * * * *
			' Default Group Setting ******************
			' * * * * * * * * * * * * * * * * * * * * *
			' The initial setting of the default group can now be set by
			' a selected category and selecting a category item.
			' This can all be configured under system administration options
			' If category group is not enabled or if no category
			' item is selected, it then reverts to the original defaultGroup
			' This assignment is only done during the initial case creation.

			If NewDefaultGroup <> "" Then
				DefaultGroupNumber = NewDefaultGroup ' Over with category group
			End IF

			NewRecord("Group_Number") = DefaultGroupNumber

			' Time Stamp the Case History before we put it into the case record

			Case_History = "{g[" &  DatetimeString & " " & wc_Opened_by & " ["& customer_id & "] ]g}"  & vbCRLF & Case_History  & vbCRLF

			NewRecord("Case_History") = Case_History

			' Update any option case text fields here

			If Text_field_1 <> "" Then
				NewRecord("Text_field_1") = Text_field_1
			End If
			If Text_field_2 <> "" Then
				NewRecord("Text_field_2") = Text_field_2
			End If
			If Text_field_3 <> "" Then
				NewRecord("Text_field_3") = Text_field_3
			End If
			If Text_field_4 <> "" Then
				NewRecord("Text_field_4") = Text_field_4
			End If
			If Text_field_5 <> "" Then
				NewRecord("Text_field_5") = Text_field_5
			End If
			If Text_field_6 <> "" Then
				NewRecord("Text_field_6") = Text_field_6
			End If
			If Text_field_7 <> "" Then
				NewRecord("Text_field_7") = Text_field_7
			End If
			If Text_field_8 <> "" Then
				NewRecord("Text_field_8") = Text_field_8
			End If
			If Text_field_9 <> "" Then
				NewRecord("Text_field_9") = Text_field_9
			End If
			If Text_field_10 <> "" Then
				NewRecord("Text_field_10") = Text_field_10
			End If



		Else ' Update Case Info when case already exists

			NewRecord("modified_flag") = 1
			NewRecord("mod_date") = DateString ' YYYYMMSS
			NewRecord("mod_time") = TimeString ' HHMMSS

			' Get the value of the tech_ID if it is set for a flag later

			Tech_Assigned = NewRecord("Tech_ID")


			NewRecord("Case_One_Line") = Case_One_Line

			If Case_Severity = "" Then
				' If Case_Severity is not then do not touch this field.
				'NewRecord("Severity") = 0 ' Set back to 0 (un-assigned)
			Else
				NewRecord("Severity") = Case_Severity
			End IF



			If Asset_Number <> "" then
				NewRecord("Asset_Number") = Asset_Number
			End If
			Current_Case_History = NewRecord("Case_History")

			' Update any option case text fields here

			If Text_field_1 <> "" Then
				NewRecord("Text_field_1") = Text_field_1
			End If
			If Text_Field_1 = "" AND NewRecord("Text_Field_1") <> "" And Request.form("Text_field_1").count <> 0 Then
				NewRecord("Text_Field_1") = NULL ' Null out field if needed
			End IF


			If Text_field_2 <> "" Then
				NewRecord("Text_field_2") = Text_field_2
			End If
			If Text_Field_2 = "" AND NewRecord("Text_Field_2") <> "" And Request.form("Text_field_2").count <> 0 Then
				NewRecord("Text_Field_2") = NULL ' Null out field if needed
			End IF

			If Text_field_3 <> "" Then
				NewRecord("Text_field_3") = Text_field_3
			End If
			If Text_Field_3 = "" AND NewRecord("Text_Field_3") <> "" And Request.form("Text_field_3").count <> 0 Then
				NewRecord("Text_Field_3") = NULL ' Null out field if needed
			End IF

			If Text_field_4 <> "" Then
				NewRecord("Text_field_4") = Text_field_4
			End If
			If Text_Field_4 = "" AND NewRecord("Text_Field_4") <> "" And Request.form("Text_field_4").count <> 0 Then
				NewRecord("Text_Field_4") = NULL ' Null out field if needed
			End IF

			If Text_field_5 <> "" Then
				NewRecord("Text_field_5") = Text_field_5
			End If
			If Text_Field_5 = "" AND NewRecord("Text_Field_5") <> "" And Request.form("Text_field_5").count <> 0 Then
				NewRecord("Text_Field_5") = NULL ' Null out field if needed
			End IF

			If Text_field_6 <> "" Then
				NewRecord("Text_field_6") = Text_field_6
			End If
			If Text_Field_6 = "" AND NewRecord("Text_Field_6") <> "" And Request.form("Text_field_6").count <> 0 Then
				NewRecord("Text_Field_6") = NULL ' Null out field if needed
			End IF


			If Text_field_7 <> "" Then
				NewRecord("Text_field_7") = Text_field_7
			End If
			If Text_Field_7 = "" AND NewRecord("Text_Field_7") <> "" And Request.form("Text_field_7").count <> 0  Then
				NewRecord("Text_Field_7") = NULL ' Null out field if needed
			End IF

			If Text_field_8 <> "" Then
				NewRecord("Text_field_8") = Text_field_8
			End If
			If Text_Field_8 = "" AND NewRecord("Text_Field_8") <> "" And Request.form("Text_field_8").count <> 0 Then
				NewRecord("Text_Field_8") = NULL ' Null out field if needed
			End IF

			If Text_field_9 <> "" Then
				NewRecord("Text_field_9") = Text_field_9
			End If
			If Text_Field_9 = "" AND NewRecord("Text_Field_9") <> "" And Request.form("Text_field_9").count <> 0 Then
				NewRecord("Text_Field_9") = NULL ' Null out field if needed
			End IF

			If Text_field_10 <> "" Then
				NewRecord("Text_field_10") = Text_field_10
			End If
			If Text_Field_10 = "" AND NewRecord("Text_Field_10") <> "" And Request.form("Text_field_10").count <> 0 Then
				NewRecord("Text_Field_10") = NULL ' Null out field if needed
			End IF



		' *******CATEGORY UPDATES******
		' Update any category changes and note any changes in the case history field

			For i = 1 to 50 ' Only reset values passed on update

				CategoryColumn = "C" & i
				'CategoryValue = CInt(Request.form(CategoryColumn))
				CategoryValue = Request.form(CategoryColumn)

				'If CategoryValue <> "" Then

			If CategoryValue <> "" And IsNumeric(CategoryValue) Then

				' Record any category changes in the case history

				CategoryValueInt = CInt(Request.form(CategoryColumn))

					PreviousCategoryValue = NewRecord(CategoryColumn)

					'debug
					'response.write "PreviousCategoryValue = " & PreviousCategoryValue
					'Response.write "CategoryValue = " & CategoryValue & "<br>"
					'response.flush
					'response.end


					If CategoryValueInt <> PreviousCategoryValue Then

					PreviousCategoryString = GetCategoryNameAndItem(i, PreviousCategoryValue)

					NewCategoryString = GetCategoryNameAndItem(i, CategoryValueInt)

						If PreviousCategoryString = "" Then

							Case_History = "CATEGORY CHANGED TO " &  NewCategoryString & vbCRLF & Case_History
						Else
							Case_History = "CATEGORY CHANGED FROM " & PreviousCategoryString & " TO " &  NewCategoryString & vbCRLF & Case_History

						End IF


					End IF


					NewRecord(CategoryColumn) = CInt(CategoryValue)
				End If
			Next




			' Make sure we are not exceeding the size of the case_history field.

			' Append to the bottom of the case

			Case_History = Current_Case_History &	vbCRLF & "{g[" &  DatetimeString &  " " &  wc_Updated_by & " ["& customer_id & "] ]g}"  &  vbCRLF & Case_History & vbCRLF
			If Len(Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = Case_History
			End If

		' Update any category changes

'			For i = 1 to 100 ' Only reset values passed on update
'
'				CategoryColumn = "C" & i
'				CategoryValue = Request.form(CategoryColumn)
'				' Added IsNumeric to handle bug with Netscape Browser On Linux.
'
'				If CategoryValue <> "" And IsNumeric(CategoryValue) Then
'					NewRecord(CategoryColumn) = CategoryValue
'				End If
'			Next


		End If ' End if Add Record or Update
		NewRecord.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
	      response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conn.errors.count
	      response.write "Error #" & conn.errors(counter).number & "<P>"
	      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' If this was a new case, we need to get the case_number for future reference

	If Case_Number = 0 Then

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="SELECT * from Cases where Customer_ID = '" & Customer_ID & "' AND Open_date = '" & DateString & "' AND Open_Time = '" & TimeString & "'"

		' Response.write "SQL=" & mySQL2

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_number = "Case Not Found - Contact ISS Support "
		Else
			case_number = rstemp2("case_number")
		End IF

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

	End If '  End of if Case_number = 0

	' Now send out 3 sets of emails including:
	' 	(1) Email to customer with case confirmation
	'	(2) Emails to any techs assigned to the default group
	' 	(3) Emails to any tech assigned to the that case
	'	(4) Additonal Notification Emails to primary Additional Notification Email
	'	and CC list -New for Version 7

'************* Additional Notifications Email Code *************

		If AdditionalNotificationEmails = "YES" Then

		'	If AdditionalNotifications <> "" Then ' Additonal notifications is enabled so send out emails


				SendAdditionalNotificationEmail(Case_Number)
		'	End If

		End If  ' End of If Additional Notifications




	'-->AKS<-- ByPassed for now
	'-->SAV<-- Re-enabled
	' To turn on/off sending emails to customers/techs, comment out lines below
	SendEmailToCustomer(Case_Number) ' Email confirmation to customer


	' First get the CategoryText so it can be sent out
	' with the Emails going to the techs and to the Groups.

	CategoryText = CreateCategoryText(Case_Number)


	If CaseType <> "NEW" OR InitialTechAssignment <> "" Then ' Only send out email to tech if it is an update or InitialTechAssignment is set
		'-->AKS<-- ByPassed for now
		SendEmailToAssignedTech Case_Number , Tech_Assigned_Email
	End If

	' Now send emails to persons assigned to this group
	'-->AKS<-- ByPassed for now

	' Option (1) to bypass sending Group Tech Emails if Case is NOT NEW and tech assignment has been made
	' Uncomment the line below to enable this feature
	NoGroupEmailIfTechAssigned = "YES"

	If NoGroupEmailIfTechAssigned = "YES" Then

		If CaseType <> "NEW" AND Tech_Assigned <> "" Then
		' Do Not Send a group notification email if the case is already open and assigned to a tech

		' Option (2)

		Else

			SendEmailToAssignedGroupTechs Case_Number , Tech_Assigned_Email

		End If

	Else ' Default  - Send group emails always


		SendEmailToAssignedGroupTechs Case_Number , Tech_Assigned_Email

	End If



%>

<% ' Display the page now %>

<!-- #INCLUDE FILE="CCHeader.inc" -->

<center>
<font face=arial>
<%=wc_Case_Confirmation%>
</font>
</center><P>

	<% If CaseType = "NEW" Then ' New Case message
	%>
<CENTER>  <!-- 09/28/12 -->
<table width=700 border=1>

<tr>
<td>

<br>


<UL>
<font size=-1 face=arial>
<%=wc_Thank_you_for_submtting_a_support_case%>

  <P>

<%=wc_Customer_Create_Case_Block_1%>

<P>

<%=wc_For_future_reference%>

<P>
</font>
<center>
<font size=+1 color=red face=arial><%=Case_Number%></font><P>
</center>
<font size=-1 face=arial>

<%=wc_Customer_Create_Case_Block_2%>



<P>

<%=wc_Customer_Create_Case_Block_3%>


<P>
<center>
<form action = DoCustomerOptions.asp method=post>
<input type=hidden name=action value = "Show Open Cases">
<input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0>

</form>
</center>

</td>
</tr>
</table>



<%Else ' Provide a update message %>

<CENTER>
<table width=700 border=1>

<tr>
<td>

<br>

<UL>
<font size=-1 face=arial>

<%=wc_Thank_you_for_updating_your_support_case%>

<P>

<%=wc_customer_case_update_block_1%>
<P>

<center>
<form action = DoCustomerOptions.asp method=post>
<input type=hidden name=action value = "Show Open Cases">
<input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0>
</form>
</font>

</td>
</tr>
</table>



<% End if ' End if New or update case %>


<% ' Put all of your custom web site footer changes into CCFooter.inc %>

<!-- #INCLUDE FILE="CCFooter.inc" -->


<% End if ' End of IF ErrorMessage <> ""%>


<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)


	If HourPart = 0 Then
		NewHourPart = HourPart + 12
		DateTimeString = DateTimeString & NewHourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If


	' Fix to AM/PM Calculation corrected in version 4.0

	If HourPart <> 0 AND HourPart < 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart = 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End If

	If HourPart >= 13 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End IF





	End Sub ' End of CreateTimeDateValues
%>


<% Sub GetDatabaseConfiguration(MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")

		End If

		rstemp2.close
		set rstemp2=nothing

		' Get the Email Head that will sent infront of the email msg

		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<% Function GetDefaultGroupNumber()
' This functions gets the current default group number from
' the Group_List table by searching for the row where the
' default flag = 1 and grabbing the group_number

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Group_list where default_flag = 1"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			' There should always be a default group
			' send out an error
			response.write " No default group is set "
			Group_Number = 1
		Else
			GetDefaultGroupNumber = rstemp2("Group_number")


		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

	End Function
%>


<% Sub SendEmailToCustomer(Case_Number)
'	This subroutine sends out a confirmation email to the customer.
	' From the case number we need to first get the customer's email address


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ToEmail = ""
		Else
			ToEmail = rstemp2("email")
			ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the part of the email message that should be sent out when cases are created

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("customer_update_case")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")

		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = NewCaseMessage
		Message = Message & vbCRLF & wc_Your_current_case_information_is & vbCRLF
		Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
		Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
		If Status = 1 Then
			Message = Message & wc_Closed & vbCRLF
		Else
			Message = Message & wc_Open & vbCRLF
		End If
		Message = Message & wc_Customer_ID_capital_letters & Customer_ID & vbCRLF
		Message = Message & wc_CASE_ONE_LINE_DESCRIPTION & Case_One_Line & vbCRLF & vbCRLF

		' The special color codes have to be removed before sending the case_history

		Case_Text = Case_History
		Case_History = CleanUpHistoryText(Case_Text)
		Message = Message & wc_Case_History & ":"& vbCRLF & Case_History & vbCRLF

		If Case_Summary <> "" Then
			Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
		End If

		' Now display a link back to the Customer+Cente Home page for Future reference

		' Now display a link directly to the tech+center for that case window.

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' Replace DoEmailListSend.asp with RemoveFromList.asp
			' This will handle all of the necessary virtual directory mappings
				Virtual_Path = replace(Script_Name, "DoCaseForm.asp", "DCF.asp")  ' WORDPRESS
		End IF

	Next

           ' response.write "Case customer id is ----" & Customer_ID & "++++++<p>"
           'response.flush
           ' response.end

			Message = Message & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF

			'--- create url with obfuscated customer_id and MODE=auto to enable automatic logging in with DCF.asp -------
'THIS IS THE EMAIL THAT GETS SENT TO THE CUSTOMER.

			If WordPressSite > "" then  ' 10/02/12
				Params = "?WP=YES&MODE=auto&N=" &   Case_Number &  "&ID=" & server.urlencode(obfuscate(Customer_ID))  ' WORDPRESS
				CaseLink= WordPressSite & "/DCF/" & Params
			Else
				CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Case_Number &  "&ID=" & server.urlencode(obfuscate(Customer_ID))  ' WORDPRESS
			End If

			Message = Message &  Caselink & vbCRLF & vbCRLF

		' Do not remove this line.

		Message = Message & EmailChecksum


		If HTMLEmail = "YES" Then

			NotificationReportTitle = wc_Notification_Report_Support_Case_Update

			Updatedby = "customer"

			AltBody = Message ' First save Text message into separate variable
			Message = CreateHTMLCustomerMsg(Case_Number, CaseLink, NotificationReportTitle, updatedby)


			' Debugging
			'response.write Message


		End IF







		'*************************************************
		' ********** User Customization Options ***********
		' Edit the subject line string below to change the subject
		'**************************************************

		SubjectLine = "Support Case Update"

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		If ToEmail <> ""  And Customer_case_notify = 1 Then
		  If MyOs = "Windows" Then
			SendEmail ToEmail, ToFullName, SubjectLine, Message
		  Else
			SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
		  End If
		End If


	'********************* Customization for second manager email - START of customization ****
	' Customization to send a second email to customers manager inside of the mailstop field.
	' uncomment the line below to enable sending an second email to a second customer email
	' address obtained from the mailstop field.

	'SendSecondEmail = "YES"

	if SendSecondEmail = "YES" Then

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here


		mySQL2="SELECT Customers.mailstop FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			SecondEmailAddress = ""
		Else
			SecondEmailAddress = rstemp2("mailstop")

		' Custom code to build that email address from first name letter and last name
'			spacefound = "NO"
'			for i=1 to len(SecondEmailAddress)
'				if mid(SecondEmailAddress,i,1) = " " Then
'					SpaceFound = "YES"
'				End If
'
'				if spacefound = "NO" THen
'					FirstNameValue = FirstNameValue & mid(SecondEmailAddress, i, 1)
'				ELSE
'					SecondNAmeValue = SecondNameVAlue & mid(secondemailaddress,i,1)
'				End IF
'			Next
'
'			' Some custom string additions to create the email address
'			NewSecondEmailaddress= left(FirstNameValue,1) & SecondNAmeValue & "@mycompany.com"
'			NewSecondEmailAddress = replace(NewSecondEmailAddress, " " , "")
'
'			'debugging
'
'			'response.write "NewEmailAddress = " & NEwSecondEmailAddress
'			'response.flush
'			'response.end

			NewEmailAddress = SecondEmailAddress

			ToFullName = NewEmailAddress
			ToEmail = NewEmailAddress

		End If

		rstemp2.close
		set rstemp2=nothing

			 If MyOS = "Windows" Then
				SendEmail ToEmail, ToFullName, SubjectLine, Message
			 Else
				SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
			 End If


		conntemp.close ' Close the connection
		set conntemp=nothing

	End If ' End of If SendSecondEmail = "YES"

	'********************* Customization for second manager email - START of customization ****





End Sub ' End of SendEmalToCustomer() subroutine
%>


<% Sub SendEmailToAssignedTech(Case_Number, Tech_Assigned_Email)
'	This subroutine sends out a notification email to a tech if a tech has already
	' being assigned to the case.  Only case updates will possibly have a
	' tech assigned to the case.

	' First we determine if case has a tech assigned to it.


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1
			Tech_ID = ""

		Else
			' Get all of the information while we are here

			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Tech_ID = rstemp2("Tech_ID")

		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection since we may not open it again
		set conntemp=nothing

		If Tech_ID <> "" Then ' Tech Found so get their email


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Only send emails to techs if New_Case_Notify flag is set to 1

			mySQL2="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "' AND New_Case_Notify = 1"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				ToEmail = ""
			Else
				ToEmail = rstemp2("work_email")
				ToFullName = rstemp2("first_name") & " " & rstemp2("last_name")

				' Get Cell Email Email Address

					CellEmail = rstemp2("Home_Email")
					If IsNull(rstemp2("Home_Email")) Then
						CellEmail = ""
					End If

					' *** Important note about Tech staff fields if they are blanked out
					' The Tech staff edit functions do not properly NULL out the
					' the text fields in the database when they are cleared out.
					' They current set the first character to 0 but leave the other
					' characters there so the we can't check for string <> "".
					' The test below checks to see if the first characters is ASC "0"
					' ***************************************
					If Len(CellEmail) > 0 Then
						If ASC(Mid(CellEmail,1,1)) = 0 Then
							CellEmail = ""
						End IF
					End IF

					CellFullName = ToFullName

			End If

			rstemp2.close
			set rstemp2=nothing


			'******* CELL PHONE EMAIL TEXT FIELDS *****************************
			' Perform another query to get the customer information so
			' it can be displayed in the email for text page cell phone email
			' We will grab the two phone numbers and company name

			mySQL4="SELECT * from Customers where customer_id = '" & Customer_ID & "'"
			set rstemp4=conntemp.execute(mySQL4)


			CustomerCompany = rstemp4("Company")
			CustomerPhone1 = rstemp4("Phone1")
			CustomerPhone2 = rstemp4("Phone2")


			' Close record set

			rstemp4.close
			set rstemp4 = nothing

			'********** CELL PHONE EMAIL TEXT FIELD ENDING



			conntemp.close ' Close the connection
			set conntemp=nothing

			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
			' To enable a short condensed email to be sent to a tech cell email address/home email
			' beginning of the email message, comment/uncomment the
			' variable definition below
			CELLPHONE_EMAIL_NOTIFICATION = "YES" ' Comment out this line to disable
			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************

			If CELLPHONE_EMAIL_NOTIFICATION = "YES" Then
				CellMessage = ""
				CellMessage = CellMessage & Customer_ID & vbCRLF & CustomerCompany & vbCRLF &vbCRLF
				CellMessage = CellMessage & CustomerPhone1 & vbCRLF  & CustomerPhone2  & vbCRLF
				CellMessage = CellMessage & "->" & Case_One_Line & vbCRLF
				CellSubjectLine = "*C-UPDATE*"
			End If




			' Now Build the Whole message body
			' *********************** USER CUSTOMIZATIONS**********************
			' The fix part of the message that is sent out can be modified by
			' changing the text below.

			Message = ""
			Message = Message & vbCRLF & "Case " & case_number & " Update Notification:" & vbCRLF
			Message = Message & vbCRLF & "This case has been updated by the customer. "
			Message = Message & " Please review the information under Case History to see the new information entered by the customer."& vbCRLF

		Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
		Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
		If Status = 1 Then
			Message = Message & wc_Closed & vbCRLF
		Else
			Message = Message & wc_Open & vbCRLF
		End If
		Message = Message & wc_Customer_ID_capital_letters & Customer_ID & vbCRLF
		Message = Message & wc_Company_Capitals & ": " & CustomerCompany & vbCRLF

		Message = Message & wc_CASE_ONE_LINE_DESCRIPTION & Case_One_Line & vbCRLF & vbCRLF


		Message = Message & CategoryText ' Display category text


			' The special color codes have to be removed before sending the case_history

			Case_Text = Case_History
			Case_History = CleanUpHistoryText(Case_Text)
			Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF


		If Case_Summary <> "" Then
			Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
		End If

			' ****************** User Customization Options*****************************
			' Special Optional Section to provide links to tech to directly open the case
			' To enable this section, uncomment the SendTechLink variable below.
			' Note: It may be necessary to edit the virtual directory definitions below
			' if you did not define them as Tech30 and Customer30 as the default.

			SendTechLink = "YES"  ' Uncomment this line if you want to activate this option.

			If SendTechLink = "YES" Then

							' Now display a link directly to the tech+center for that case window.

							' Get the full server http URL for the direct LINK.
						 For each key in Request.serverVariables

						 	if Key = "SERVER_NAME" Then
								HostName =  Request.ServerVariables(key)
							End IF

						 	if Key = "SCRIPT_NAME" Then
								SCRIPT_Name =  Request.ServerVariables(key)
								' Replace DoEmailListSend.asp with RemoveFromList.asp
								' This will handle all of the necessary virtual directory mappings

								Virtual_Path = replace(Script_Name, "DoCaseForm.asp", "SC.asp")
'
								' Edit these virtual directory settings if needed - case sensitive
								CustomerCenterVirtual = "customer30"
								TechCenterVirtual = "tech30"


								If CustomerVirtual = "" Then
									CustomerCenterVirtual = "customer50"
								Else
									CustomerCenterVirtual = CustomerVirtual ' Grab it from database
								End IF

								If TechVirtual = "" Then
									TechCenterVirtual = "tech50"
								Else
									TechCenterVirtual = TechVirtual
								End If



								Virtual_Path = replace(Virtual_Path, CustomerCenterVirtual, TechCenterVirtual,1,99,1) ' WORDPRESS

							End IF

						Next

							' NOTE: this is the link that goes to technicians.  it will not be wordpress although since it might
							' be CALLED from wordpress, we cannot rely on the URL

								CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID))  ' WORDPRESS

							TechMessage = ""
							TechMessage = TechMessage & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF
						   TechMessage = TechMessage &  Caselink & vbCRLF


			End If ' End of If

			'******************End User Customizations Options ***************************



			' Do not remove this line. Compute EMail Checksum for accuracy
			Message = Message & TechMessage & EmailChecksum

				If HTMLEmail = "YES" Then

					NotificationReportTitle = wc_Notification_Report_Assigned_Tech_update

					AltBody = Message ' First save Text message into separate variable
					Message = CreateHTMLTechMsg(Case_Number, CaseLink, NotificationReportTitle)

					' Debugging
					'response.write Message


				End IF






		'***************************************************************
		' ******** User Customization Options - Change the Subject line below
		'***************************************************************

			SubjectLine = "Customer Update For Case " & Case_Number

			' Now we have everything we need to send the email to the tech
			' Only send the message if ToEmail exists and

			If ToEmail <> ""   Then

				TechEmailSent = 1  ' cmb 05/05/2011
				AssignedTechID = Tech_ID ' cmb 05/05/2011

			   If MyOs = "Windows" Then
				  SendEmail ToEmail, ToFullName, SubjectLine, Message
			   Else
			      SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
			   End If
			End if


			' Determine if we should send out email to Tech's cell phone email address

			If CellEmail <> "" AND  CELLPHONE_EMAIL_NOTIFICATION = "YES"  Then

				' *************** User customizations *********************
				' This section below allows one to configure disabling cell emails
				' sent during certain hours. This is option can be configured by
				' un-commenting the lines below

				'LimitCellEmailHours = "YES"

				If LimitCellEmailHours = "YES" Then
					' The code below will limit cell emails sent between 7 AM and 5 PM
					StartLimitHour = 7 ' 24 hour time for 7 AM
					EndLimitHour = 17 ' 24 hour time for 5 PM

					If (Hour(Now) >= StartLimitHour) AND (Hour(Now) < EndLimitHour) Then
						' If in this range then do not send cell email
					Else ' outside of this range then send cell email
					  If MyOS = "Windows" Then
						SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
					  else
					    SendLinuxEmail CellEmail, CellFullName,  CellSubjectLine, CellMessage
					  end if
						Tech_Notification = Tech_Notification & " Cell:(" & CellEmail & ")"
					End If
				Else
                    If MyOS = "Windows" Then
					   SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
					Else
					   SendLinuxEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
					End if
				End If

			End If


		End If ' Do not send out email if no tech is assigned

End Sub ' End of SendEmailToAssignedTech() subroutine
%>

<% Sub SendEmailToAssignedGroupTechs(Case_Number , Tech_Assigned_Email)
	'	This subroutine sends out a notification email to any tech that are
	' configured with the default group or assigned group.  Check to see if any of those techs have already been sent
	' an email from the SendEmailToAssignedTech() function


	' First we need to get the Group Number assigned for this case

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1
			Tech_ID = ""

		Else
			' Get all of the information while we are here

			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Tech_ID = rstemp2("Tech_ID")
			Group_Number = rstemp2("Group_Number")

		End If

		rstemp2.close
		set rstemp2=nothing


		'******* CELL PHONE EMAIL TEXT FIELDS *****************************
		' Perform another query to get the customer information so
		' it can be displayed in the email for text page cell phone email
		' We will grab the two phone numbers and company name

		mySQL4="SELECT * from Customers where customer_id = '" & Customer_ID & "'"
		set rstemp4=conntemp.execute(mySQL4)


		CustomerCompany = rstemp4("Company")
		CustomerPhone1 = rstemp4("Phone1")
		CustomerPhone2 = rstemp4("Phone2")


		' Close record set

		rstemp4.close
		set rstemp4 = nothing

		'********** CELL PHONE EMAIL TEXT FIELD ENDING


		conntemp.close ' Close the connection since we may not open it again
		set conntemp=nothing

		' Now build the message since we may need to send it to more than one person

			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
			' To enable a short condensed email to be sent to a tech cell email address/home email
			' beginning of the email message, comment/uncomment the
			' variable definition below
			CELLPHONE_EMAIL_NOTIFICATION = "YES" ' Comment out this line to disable
			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************

			If CELLPHONE_EMAIL_NOTIFICATION = "YES" Then
				CellMessage = ""
				CellMessage = CellMessage & Customer_ID & vbCRLF & CustomerCompany & vbCRLF &vbCRLF
				CellMessage = CellMessage & CustomerPhone1 & vbCRLF  & CustomerPhone2  & vbCRLF
				CellMessage = CellMessage & "->" & Case_One_Line & vbCRLF
				CellSubjectLine = "*C-UPDATE*"
			End If


			' Now Build the Whole message body
			' *********************** USER CUSTOMIZATIONS**********************
			' The fix part of the message that is sent out can be modified by
			' changing the text below.

			Message = ""
			Message = Message & vbCRLF & "Case " & case_number & " Update Group Notification:" & vbCRLF
			Message = Message & vbCRLF & "This case has been updated by the customer. "
			Message = Message & " Please review the information under Case History to see the new information entered by the customer."& vbCRLF
		Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
		Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
		If Status = 1 Then
			Message = Message & wc_Closed & vbCRLF
		Else
			Message = Message & wc_Open & vbCRLF
		End If
		Message = Message & wc_Customer_ID_capital_letters & Customer_ID & vbCRLF
		Message = Message & wc_CASE_ONE_LINE_DESCRIPTION & Case_One_Line & vbCRLF & vbCRLF


		Message = Message & CategoryText ' Display category text



			' The special color codes have to be removed before sending the case_history

			Case_Text = Case_History
			Case_History = CleanUpHistoryText(Case_Text)
			Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF


		If Case_Summary <> "" Then
			Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
		End If

		'*********************************************************************
		'******* User Customization Area - Change this subject line if needed
		'*********************************************************************
			'SubjectLine = "Customer Update For Case " & Case_Number

			If CaseType = "NEW" Then
				SubjectLine = "New Customer Case: " & Case_Number

			Else
				SubjectLine = "Customer Update For Case " & Case_Number

			End IF


		' Now see if there are any techs configured for this group that have
		' configured email notification


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

			mySQL2="SELECT * from Groups where Group_Number = " & Group_Number &" AND New_Case_Notify = 1"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				ToEmail = "" ' No body is configured
			Else
			' Loop through all of the entries and send email to each of them
			' each for the one where the tech_id is the same as the assigned tech.

			Do While rstemp2.EOF <> True
				' For each tech, we will have to get their email address
				Tech_ID = rstemp2("tech_id")

			if Tech_ID <> AssignedTechID or TechEmailSent = 0 then  ' CMB 05/05/2011
				' Now get the email for each tech_id

				mySQL3="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "'"
				set rstemp3=conntemp.execute(mySQL3)

				' Check to see if any records are returned
				' if none found the
				if rstemp3.EOF then
					ToEmail = ""
				Else
					ToEmail = rstemp3("work_email")
					ToFullName = rstemp3("first_name") & " " & rstemp3("last_name")
					' Get Cell Email Email Address

					CellEmail = rstemp3("Home_Email")
					If IsNull(rstemp3("Home_Email")) Then
						CellEmail = ""
					End If

					' *** Important note about Tech staff fields if they are blanked out
					' The Tech staff edit functions do not properly NULL out the
					' the text fields in the database when they are cleared out.
					' They current set the first character to 0 but leave the other
					' characters there so the we can't check for string <> "".
					' The test below checks to see if the first characters is ASC "0"
					' ***************************************
					If Len(CellEmail) > 0 Then
						If ASC(Mid(CellEmail,1,1)) = 0 Then
							CellEmail = ""
						End IF
					End IF

					CellFullName = ToFullName

				End If

				rstemp3.close
				set rstemp3=nothing


				' ****************** User Customization Options*****************************
				' Special Optional Section to provide links to tech to directly open the case
				' To enable this section, uncomment the SendTechLink variable below.
				' Note: It may be necessary to edit the virtual directory definitions below
				' if you did not define them as Tech30 and Customer30 as the default.

				SendTechLink = "YES"  ' Uncomment this line if you want to activate this option.

				If SendTechLink = "YES" Then

								' Now display a link directly to the tech+center for that case window.

								' Get the full server http URL for the direct LINK.
							 For each key in Request.serverVariables

								if Key = "SERVER_NAME" Then
									HostName =  Request.ServerVariables(key)
								End IF

								if Key = "SCRIPT_NAME" Then
									SCRIPT_Name =  Request.ServerVariables(key)
									' Replace DoEmailListSend.asp with RemoveFromList.asp
									' This will handle all of the necessary virtual directory mappings

									Virtual_Path = replace(Script_Name, "DoCaseForm.asp", "SC.asp")  ' WORDPRESS

									' Edit these virtual directory settings if needed - case sensitive

									If CustomerVirtual = "" Then
										CustomerCenterVirtual = "customer50"
									Else
										CustomerCenterVirtual = CustomerVirtual ' Grab it from database
									End IF

									If TechVirtual = "" Then
										TechCenterVirtual = "tech50"
									Else
										TechCenterVirtual = TechVirtual
									End If



									Virtual_Path = replace(Virtual_Path, CustomerCenterVirtual, TechCenterVirtual,1,99,1) ' WORDPRESS

								End IF

							Next

								' The TechLinkMessage is created for each tech and has to be added
								' in at the last moment in sending the message.

								TechLinkMessage = ""  ' Clear message each time
								TechLinkMessage = TechLinkMessage & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF

									CaseLink = "http://" &  hostname & Virtual_path & "?MODE=auto&N=" &   Case_Number &  "&ID=" & server.urlencode(obfuscate(Tech_ID)) ' WORDPRESS

			                TechLinkMessage = TechLinkMessage &  Caselink & vbCRLF ' WORDPRESS


				End If ' End of If
				'******************End User Customizations Options ***************************

				If HTMLEmail = "YES" Then

					NotificationReportTitle = wc_Notification_Report_Assigned_Group_update

					AltBody = TotalMessage ' First save Text message into separate variable
					Message = CreateHTMLTechMsg(Case_Number, CaseLink, NotificationReportTitle)
					TotalMessage = Message


					' DEBUGGING - Remove comment to view the HTML message on the browser
					'response.write Message


				Else ' Option to not send HTML emails.

					TotalMessage = Message & TechLinkMessage & EmailChecksum

				End IF



				' Send out the email if an email address exists
				If ToEmail <> "" AND ToEmail <> Tech_Assigned_Email   Then

				   If MyOS = "Windows" Then
					  SendEmail ToEmail, ToFullName, SubjectLine, TotalMessage
				   Else
					 SendLinuxEmail ToEmail, ToFullName, SubjectLine, TotalMessage
				   End If

				End If


				' Send out emails to techs cell email address

				If CellEmail <> "" AND ToEmail <> Tech_Assigned_Email AND CELLPHONE_EMAIL_NOTIFICATION = "YES"  Then

				' *************** User customizations *********************
				' This section below allows one to configure disabling cell emails
				' sent during certain hours. This is option can be configured by
				' un-commenting the lines below

				'LimitCellEmailHours = "YES"

					If LimitCellEmailHours = "YES" Then
						' The code below will limit cell emails sent between 7 AM and 5 PM
						StartLimitHour = 7 ' 24 hour time for 7 AM
						EndLimitHour = 17 ' 24 hour time for 5 PM

						If (Hour(Now) >= StartLimitHour) AND (Hour(Now) < EndLimitHour) Then
							' If in this range then do not send cell email
						Else ' outside of this range then send cell email
						     If MyOS = "Windows" Then
							      SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
							 Else
							      SendLinuxEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
							 End if

							Group_Notification = Group_Notification & " Cell:(" & CellEmail & ")"
						End If

					Else
					    If MyOS = "Windows" Then
						   SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
						Else
						   SendLinuxEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
						End If
						Group_Notification = Group_Notification & " Cell:(" & CellEmail & ")"

					End IF


				End If

  			 End IF ' CMB 05/05/2011
				rstemp2.MoveNext
			Loop

			End If

			rstemp2.close
			set rstemp2=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing


End Sub ' End of SendEmailToAssignedGroupTechs() subroutine
%>


<% Function CleanUpHistoryText(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;


		' Replace the special color coding characters

		NewText = Replace (Newtext, chr(10), vbCRLF)

		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
'		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

	CleanUpHistoryText = NewText

'	For i = 1 to len(NewText)
'		NewMessage  = NewMessage & mid(NewText,i,1)
'		NewMessage = NewMessage & "[" & asc(mid(NewText,i,1)) & "]"
'	next

'	response.write NewMessage


'	CleanUpHistoryText = Case_Text

End function
%>

<% Function GetCasestatus(CaseNumber)
	' This function gets the case status information for existing cases
	' to see if it is closed or open.  This function returned "OPEN" Or "CLOSED"
		' Now get case information
		set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL2="SELECT * from Cases where Case_Number = " & CaseNumber

				set rstemp=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the

				If rstemp.EOF = True Then
					GetCasestatus = "OPEN" ' Set this variable to prevent problems on next page
				Else
					'-->AKS<-- Added CInt casting below.
					If CInt(rstemp("Status")) = 1 Then
						GetCasestatus = "CLOSED"
					Else
						GetCasestatus = "OPEN"
					End IF
				End If

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

	End Function ' End of GetCasestatus
%>


<% Function CreateCategoryText(Case_Number)
	' This function performs a query of the set Categories and
	' returns a string to be used when sending out the email messages

	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here


	set rstemp2=conntemp.execute(mySQL3)


	' Create the category display for this case

	CategoryString = ""
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = CInt(rstemp2("C"&i))
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			'mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			' Show all categories if not disabled
			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND ((State = 2) OR (State = 1))"


			'response.write mySQL4 ' Debugging only

			set rstemp3=conntemp.execute(mySQL4)


			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next ' Loop through the first 20 Categories

		If CategoryString = "" then
			CategoryString = wc_Categories & ":" & wcNone  & vbCRLF
		Else
			CategoryString = wc_Categories & ":" & vbCRLF & CategoryString
		End If

	CreateCategoryText = CategoryString ' Put function return value


	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


 End Function ' CreateCategoryText
%>




<%

' -------------------------------------------------------------------

Function Obfuscate(Mystring)

seedx = Timer()
' response.write "seedx is " & seedx & "<P>"
If Instr(seedx,".") Then
 aryseed = split(seedx,".")
 seed = Cdbl(aryseed(0)) + Cdbl(aryseed(1))
Else
 seed = 12345
End If



'response.write "seed is " & seed & "<P>"

Randomize(seed)
' response.write  " and seed is " & seed & "<br>"


strlength = Len(Mystring)

'response.write "The string is " & Mystring & " which has length of " & strlength & "<BR>"


Dim Arystring(80)


fuse = 0

  ' put in initial population

  For I = 0 to Strlength - 1
      Arystring(I) = PickOne(Strlength)
  Next

  Valid = "No"

While Valid = "No"
	 Valid = "Yes"
	 'response.write "--------------------------------BREAK----------------------------------<p>"
	 For I = 0 to Strlength - 1
	   For J = 0 to I
		 If I <> J Then ' dont compare with self
			  'response.write " comparing pos " & I & " which contains " & Arystring(I) & " with pos " & J & " which contains " & Arystring(J) & "<BR>"
			  if Arystring(I) = Arystring(J) Then
			     Valid = "No"
			     ' response.write "Dup found<br>"
			     Arystring(I) = PickOne(Strlength)
			  end if
			  fuse= fuse + 1
			  if fuse > 30000 Then
						response.write "----------------abort----------"
						response.flush
						response.end
			  End if
		End If
	   Next

	 Next
Wend



Arystring(Strlength) = (Strlength) ' Plant the length
'response.write "-----------Length set in pos " & Strlength & "<BR>"


For I = 0 to Strlength - 1 ' now that we have position vectors in place, plant the secret message
	 offset = Arystring(I)

	 ThisChar = Mid(MyString,I+1,1)
	 ThisChar = Asc(ThisChar) - 48
	 Arystring(offset) = ThisChar
	 'response.write "Planting " & ThisChar & " in position " & Offset & " which is " & Chr(ThisChar+48) & "<BR>"
Next

' Now fill in the empties with random values


	for i = 0 to 79
		 if Arystring(i) = "" Then
		   Arystring(i) = Int(Rnd()*78) + 1
		 End if
	next


Target = "" ' and now we add 48 to each element
for i = 0 to 79
	 if Arystring(i) <> "" Then
		'response.write "String pos " & i & " is " & Arystring(i) & " which maps to " & Arystring(i)+48 & " which is the character " & Chr(Arystring(i)+48) & "<br>"
	 else
		'response.write "String pos " & i & " is " & "&#920;<br>"
	 End if
	 Target = Target & Chr(Arystring(i)+48)
Next

Obfuscate = Target

End Function

%>


<%

' -------------------------------------------------------------------
Function PickOne(MinVal)
  candidate = Int(Rnd()*78) + 1
  TooLow = "Yes"
  While TooLow = "Yes"
	  If candidate <= MinVal Then
		'response.write "Candidate " & candidate & " is Too Low<br>"
		candidate = Int(Rnd()*78) + 1
	  Else
		TooLow = "No"
	  End If
  Wend

  PickOne = candidate
End Function

%>

<% Function GetCategoryNameAndItem(CategoryNumber, CategoryItem)
	' This function gets passed the category number and category item and returns
	' a formatted string with it.


	set conntemp5=server.createobject("adodb.connection")
	conntemp5.open myDSN ' Open the connection once here


			mySQL4 = "select * from Categories where category_number = " & CategoryNumber & " AND Item_number = " & CategoryItem


			'response.write mySQL4 ' Debugging only

			set rstemp8=conntemp5.execute(mySQL4)


			If rstemp8.EOF <> True THEN
				Item_name = rstemp8("Item_name")
				CategoryName = rstemp8("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				'CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp8.close
			set rstemp8=nothing


		'If CategoryString = ""  then
		'	CategoryString =  wcNone
		'End If




	conntemp5.close ' Close the connection
	set conntemp5=nothing


GetCategoryNameAndITem = CategoryString

End Function
%>

<% Sub SendAdditionalNotificationEmail(Case_Number)
'	This subroutine sends out a notification email to the persons defined in the tech+center
	' From the case number.. we can get the CC list and Primary notification email
	' is found in the configuration table.


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		If DatabaseType = "ORACLE" Then
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases, Customers where Cases.customer_id = Customers.customer_id and case_number = "& case_number
		Else
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number
		End If
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ToEmail = ""
		Else
			ToEmail = rstemp2("email")
			ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the part of the email message that should be sent out when Cases
		' are updated or created by the Tech+Center.

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("tech_update_case")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Case_customer_ID = rstemp2("Customer_ID")
			Status = CInt(Status)

			If AdditionalNotificationEmails = "YES" Then
				AdditionalCCList = rstemp2("AdditionalCCList") ' CC list
				AdditionalNotifications = rstemp2("AdditionalNotifications") ' Set to 0 or 1 if primary additional notifications enabled
			End If

		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = NewCaseMessage
		Message = Message & vbCRLF & wc_Your_current_case_information_is & vbCRLF
		Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
		Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
		If Status = 1 Then
			Message = Message & wc_Closed & vbCRLF
		Else
			Message = Message & wc_Open & vbCRLF
		End If
		Message = Message & wc_Customer_ID_capital_letters & Case_Customer_ID & vbCRLF
		Message = Message & wc_CASE_ONE_LINE_DESCRIPTION & Case_One_Line & vbCRLF & vbCRLF


		' The special color codes have to be removed before sending the case_history

		' If the case is not closed then send out smaller message with just the updates
		' if the case is closed, then send the whole case history

		If Status = 1 Then  ' Status = Closed .. so send whole history text
			Message = Message & wc_COMPLETE_CASE_HISTORY_BELOW & vbCRLF &"---------------------------------" & vbCRLF

			Case_Text = Case_History
		Else
			Message = Message & wc_IMPORTANT_CASE_UPDATES_BELOW & vbCRLF &"---------------------------------" & vbCRLF

			Case_Text = New_Case_History_Without_Old
		End If

		If Case_Text = "" Then
			Case_Text = Case_History ' For initial case openings
		End If


		'************** USER CUSTOMIZATION ************************
		' DISPLAY ENTIRE CASE HISTORY FOR CUSTOMER EMAIL
		' If you want to display the whole Case History every time simply uncomment the line below
		' Case_Text = Case_History
		'***************End USER CUSTOMIZATION ********************


		Case_History = CleanUpHistoryText(Case_Text)
		Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF

		If Case_Summary <> "" Then
			Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
		End If




		' ********** End User Customizations ***********************



		' Do not remove this line.

		Message = Message & EmailChecksum


		If HTMLEmail = "YES" Then

			NotificationReportTitle = wc_Notification_Report_Support_Case_Update

			updatedby = "tech"


			AltBody = Message ' First save Text message into separate variable

			Message = CreateHTMLAdditionalNotificationMsg(Case_Number, CaseLink, NotificationReportTitle, UpdatedBy)

			' Debugging
			'response.write Message


		End IF


		' *************User Customizations *************************
		' Customer Email Subject Line Customizations
		' **********************************************************

		' You can change the Subject line if necessary

		'There are three subject lines
		' (1) One for Newly Open cases by tech
		' (2) One for updating but not closed cases
		' (3) One for Closed cases

		If CaseType = "NEW" Then
			SubjectLine = "Notification Report - Support Case " & Case_Number & " " & wc_Opened

		End IF

		If Status = 1 and CaseType <> "NEW" Then
			SubjectLine = "Notification Report -Support Case " & Case_Number & " " & wc_Closed
		End If

		If (Status <> 1) and CaseType <> "NEW" Then
			SubjectLine = "Notification Report -Support Case " & Case_Number & " Update"
		End If


		'SubjectLine = "Support Case " & Case_Number & " Update"

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		' We will send this email out to 2 types of emails
		'(1) Primary Notification Email
		'(2) Notification CC List





		' First get the primary notification email from the configuration file

	 ' Start to build up list of people that were sent the email


			Additional_Notification_List = "" 'Clear out list


			IF AdditionalNotifications = "1" AND PrimaryAdditionalNotificationEmail <> "" Then
				'Additional_Notification_List = PrimaryAdditionalNotificationEmail



			ToEmail = PrimaryAdditionalNotificationEmail
			ToFullName = PrimaryAdditionalNotificationEmail


			 If MyOS = "Windows" Then
				SendEmail ToEmail, ToFullName, SubjectLine, Message
			 Else
				SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
			 End If


		End If ' End of if AdditionalNotifications <> '"


		' Now get the CC list and extract individual emails from there and send them out


		IF AdditionalCCList  <> "" Then

		' Parse through the string that is comma delimited


			spacefound = "NO"
			EmailString = "" ' Clear out EmailString

			'response.write "AdditionalCCList = " & AdditionalCCList & "<br>"
			'response.flush
			'response.end


			for i=1 to len(AdditionalCCList)
				if (mid(AdditionalCCList,i,1) = " ") OR  (mid(AdditionalCCList,i,1) = ",") Then
					SpaceFound = "YES"
				End If

				if spacefound = "NO" Then

					OneCharacter = mid(AdditionalCCList,i,1)
					EmailString = EmailString & OneCharacter
				Else

					' space or comma found so send an email with that email address


					ToFullName = Trim(EmailString)
					ToEmail = Trim(EmailString)

				Additional_Notification_List = Additional_Notification_List & " " & ToEmail

			'		response.write "Sending inside For Loop -EMail to:" & EmailString
			'		response.flush
			'		response.end


					 If MyOS = "Windows" Then
						SendEmail ToEmail, ToFullName, SubjectLine, Message
					 Else
						SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
					 End If

					 EmailString = "" ' Clear out email string
					 SpaceFound = "NO"

				End IF

			Next


				' Send out last one that is not terminated with space or comma

					ToFullName = Trim(EmailString)
					ToEmail = Trim(EmailString)

				Additional_Notification_List = Additional_Notification_List & " " & ToEmail


			'		response.write "Sending last EMail to:" & EmailString
			'		response.flush
			'		response.end


					 If MyOS = "Windows" Then
						SendEmail ToEmail, ToFullName, SubjectLine, Message
					 Else
						SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
					 End If




		End If



End Sub ' End of SendAdditionalNotifications() subroutine
%>




