<%  ' Module: Defaultmobile.asp
	'
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original BOptions.asp
   '10/17/00 SAV	Created from BOptions.asp module
   '6/14/2004 JC    Created new buttons for this panel
   '09/27/11  CMB   Added stuff for Projects
   '10/05/11  CMB   Removed several buttons (email to case, config file used for reservation button)
   '1/18/13 SAV		Created DefaultMobile.asp for customer+center mobile interface from toptions page

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Encodepwd.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->


<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% IF adOpenForwardOnly = "" Then %>
<% '<!-- #INCLUDE FILE="Adovbs.inc" -->
%>

<%End IF %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"


	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
		If CInt(AssetDatabase) = 1 Then
			AssetDatabase = True
		End If


        Ldap_enabled = rstemp2("Option1") ' Field to enable LDAP integration

		TextMessagingEnabled = rstemp2("Option2")
		Language = rstemp2("Language")

		If Instr(Language, "Calendar" ) Then
			DisableWebCenterCalendar = "NO"
		Else
			DisableWebCenterCalendar = "YES"
		End If

		'***** 7.5
		If Version7point5 = "YES" then
			EnableProjects = rstemp2("Projects")
			AssetInspections = rstemp2("AssetInspections")
			ReservationCenter = rstemp2("ReservationCenter")

			YourCustomerCenterName = rstemp2("customer_Name_html")

			If CustomerCenterMobileBannerName <> "" Then
				YourCustomerCenterName = CustomerCenterMobileBannerName
			End If

		End If

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Get the Customer=Center Message Board (Formerly the Business+center white board)

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from bConfiguration" ' We will allow up to 10 Priority values
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3


	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		CustomerMessageBoard = "" ' Default to no message
	Else
		CustomerMessageBoard = rstemp2("BWhiteboard")


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<% ' Start of Code to check username and password

	' Debug Code  Use these three lines to determine where it stops if you are getting an generic error when developing

	'response.write "TEST"

	'response.flush
	'response.end

%>




<% ' Verify the Username and password

	If username = "" Then
		username = request.form("username")
	End If


    Field_Validation_Check "User Id",Username


	' Note Username could be email or username
	' We will permit just one single-quote, but if there is just one, then
	' we will double it incase there are some in the email address


    FixedUsername = Replace(Username, "'", "''")

	If Password = "" Then
		password = request.form("password")
	End If

	Field_Validation_Check "Password", Password

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	If CustomerPasswordRequired = True Then

		mySQL2="select * from Customers where customer_username= '" & FixedUsername & "' AND customer_password = '" & password & "'"

	Else

		mySQL2="select * from Customers where customer_username= '" & FixedUsername & "'"

	End If

	     'response.write mysql2
		'response.flush
		'response.end

	set rstemp=conntemp.execute(mySQL2)

	if rstemp.eof = True then
		Login = "FAIL"
		ErrorMessage = "<LI>" & wc_Invalid_Username & "<P>"
		ErrorMessage = ErrorMessage & wc_Lost_Username_Block
		'response.write errormessage
		'response.flush
		'response.end
	Else

        If CustomerPasswordRequired = True Then
			' check here for injection by doing a compare of the record contents with what was typed in
			thestring = "UN=" & FixedUsername & " and PW=" & customer_password
			If NOT (Ucase(rstemp("customer_username")) = Ucase(FixedUsername) AND Ucase(rstemp("customer_password")) = Ucase(password)) Then Bad_Data_Detected "Login String", thestring, "99"
        Else
			' check here for injection by doing a compare of the record contents with what was typed in
			thestring = "UN=" & FixedUsername
			If NOT Ucase(rstemp("customer_username")) = Ucase(FixedUsername)  Then Bad_Data_Detected "Login String", thestring, "99"
        End If

		customer_ID = rstemp("Customer_ID")
		ViewEmailCategoryID = rstemp("ViewEmailCategoryID") ' Check if Group read permissions
		Login = "PASS"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	If Login <> "PASS" Then

		' Check again for username  and decoded password combination

		' The reason we include checking for un-decoded passwords and
		' decoded password is that older systems may not have decoded passwords
		' so be compatible with decoded or un-decoded passwords in the DB.

		EncodedPassword = EncodePassword(Password)

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


		If CustomerPasswordRequired = True Then

			mySQL2="select * from Customers where customer_username = '" & FixedUsername & "' AND customer_password = '" & encodedpassword & "'"

		else

			mySQL2="select * from Customers where customer_username = '" & FixedUsername & "'"
		End If


		'response.write mysql2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			Login = "FAIL"
			ErrorMessage = "<LI>" & wc_Invalid_Username & "<P>"
			ErrorMessage = ErrorMessage & wc_Lost_Username_Block
		Else
			customer_ID = rstemp("Customer_ID")
			ViewEmailCategoryID = rstemp("ViewEmailCategoryID") ' Check if Group read permissions
			Login = "PASS"
		End IF

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing



	End If


	If Login <> "PASS" Then

		' Check again for email address and password combination
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		If customerPasswordRequired = True Then
			mySQL2="select * from Customers where email= '" & FixedUsername & "' AND customer_password = '" & password & "'"
		Else
			mySQL2="select * from Customers where email= '" & FixedUsername & "'"
		End If

		'response.write mysql2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			Login = "FAIL"
			ErrorMessage = "<LI>" & wc_Invalid_Username & "<P>"
			ErrorMessage = ErrorMessage & wc_Lost_Username_Block
		Else
			customer_ID = rstemp("Customer_ID")
			ViewEmailCategoryID = rstemp("ViewEmailCategoryID") ' Check if Group read permissions
			Login = "PASS"
		End IF

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing



	End If


	If Login <> "PASS" AND NoPasswordRequired = "YES" Then

		' Check again for email address and password combination
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Customers where email= '" & FixedUsername & "'"

		'response.write mysql2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			Login = "FAIL"
			ErrorMessage = "<LI>" & wc_Invalid_Username & "<P>"
			ErrorMessage = ErrorMessage & wc_Lost_Username_Block
		Else
			customer_ID = rstemp("Customer_ID")
			ViewEmailCategoryID = rstemp("ViewEmailCategoryID") ' Check if Group read permissions
			Login = "PASS"
		End IF

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing



	End If



If Login = "PASS" THEN

	' Set normal Customer+Center cookie

		Response.Cookies("ISS_CUSTOMER") = Customer_ID
		Response.Cookies("ISS_CUSTOMER").Path = "/"
		Response.Cookies("ISS_CUSTOMER").Secure = FALSE

	' Set special group user cookie if Group read access is set

	If ViewEmailCategoryID <> "" And IsNull(ViewEmailCategoryID) = False Then
		Response.Cookies("ISS_GROUP_CUSTOMER") = ViewEmailCategoryID ' Set User Group
		Response.Cookies("ISS_GROUP_CUSTOMER").Path = "/"
		Response.Cookies("ISS_GROUP_CUSTOMER").Secure = FALSE

	End if

	' Option to initialize the page with SHOWALLCASES option turned on.

	InitialAction = "SHOWOPENCASES"


 ' Display the CustomerOptions.asp Page

 Page = "SuccessfulLogin"

%>
	<!-- #INCLUDE FILE="DefaultMobile.asp" -->

<%

'Response.redirect "DefaultMobile.asp""

 %>


	<% Else ' Login failed so display login failure page %>


	<!-- #INCLUDE FILE="CustomerusererrorMobile.asp" -->

	<% End if ' End of If username and password fail %>

<% ' Checked for Customer+Center Logged in Cookie

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie
If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
End If

%>

