<%  ' Module: DoRecoverPassword.asp
	'
	' Description: This searches the database for the email address and
	' then sends out an email with lost username and password
	'
	' (C) 2013 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'03/28/99	SAV		Created original ASP file
	'02/04/13	SAV		Created DoRecoverPassword from original customer+center verison of lostinfo.asp
%>


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->
<!-- #INCLUDE FILE="Encodepwd.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateLostPassword.inc" -->


<% ' Verify the Username and password

	LostEmail = request.form("LostEmail")

'	response.write "LostEmail = " & LostEmail
'	response.flush
'	response.end


	ToEmail = LostEmail

	If LostEmail = "" Then
		Search = "FAIL"
		ErrorMessage = "<LI>" & wc_You_must_enter_your_email_address & "<P>"
	End If

	If LostEmail <> "" Then

	    Field_Validation_Check "Email Address", LostEmail

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Customers where email = '" & LostEmail & "'"

		'response.write mysql2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			Search = "FAIL"
			ErrorMessage = "<LI>" & wc_Email_address_not_found & "<P>"
			ErrorMessage = ErrorMessage & wc_Lost_Email_Block
		Else


			' check here for injection by doing a compare of the record contents with what was typed in
			thestring = "Email Adress=" & LostEmail
			If NOT Ucase(rstemp("email")) = Ucase(LostEmail)  Then Bad_Data_Detected "Email Address", thestring, "99"


			customer_username = rstemp("Customer_username")
			Customer_password = rstemp("Customer_password")
			ToFullName = rstemp("Contact_fname") & " " & rstemp("Contact_lname")
			Search = "PASS"
			Page = "SuccessfulPasswordRecovery"


		End IF

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If ' End of if LostEmail <> ""

	If Search = "PASS" THEN

		' Send out email with the login information.

		OrganizationFromName = "" ' Default to Blank for Global

		GetSMTPConfiguration smtp_host_address, Standard_reply_to_address, LostEmailText

	 ' Get Other Configuration settings

		 GetDatabaseConfiguration MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, NewRegistration, EncryptPasswords

		GetDatabaseEmailConfiguration2 SMTP_User_Name, SMTP_Password, HTMLEMail, smtp_host_address, Standard_Reply_To_Address, OrganizationFromName

			If EncryptPasswords = True Then
				Decode = "YES"
			Else
				Decode = "NO"
			End If

			'Customer Passwords maybe encoded so before we send it back to the user, we
			' may need to decode them back for the email message

		If Decode = "YES" Then
			Customer_Password = DecodePassword(Customer_Password)
		End If


		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = LostEmailText
		Message = Message & vbCRLF & wc_Username_Login & ":" & Customer_Username & vbCRLF
		Message = Message & wc_password & ":" & Customer_password & vbCRLF
		' Do not remove this line.
		Message = Message & EmailChecksum

		SubjectLine = wc_Lost_Username_And_Password


		IF HTMLEmail = "YES" Then
			Message = 	CreateHTMLLostPassword (Customer_Username, customer_password, LostEmailText, ToEmail)
		End If


		' *********************** END USER CUSTOMIZATIONS**********************

		If ToEmail <> ""  Then
		   If MyOs = "Windows" Then
			   SendEmail ToEmail, ToFullName, SubjectLine, Message
		   Else
		      SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
		   End If
		End If
%>



<% ' Return them to the main home page with message saying that an email is coming %>


<!-- #INCLUDE FILE="Default.asp" -->


<%
'Response.redirect "Default.asp"
Response.redirect "Default.asp?page=SuccessfulPasswordRecovery"

 %>

	<% Else ' Login failed so display login failure page %>
	<!-- #INCLUDE FILE="CustomerusererrorMobile.asp" -->

	<% End if ' End of If username and password fail %>



<% Sub GetSMTPConfiguration(smtp_host_address,Standard_reply_to_address, LostEmailText)
	'This function gets the database configuration information
	' including the SMTP host information, and lost email text message

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		Set rstemp2 = Server.CreateObject("ADODB.Recordset")

			'response.write SQL2

			rstemp2.Open mySQL2,Conntemp,3,3


		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then

		Else
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			OrganizationFromNameInternal = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out
			OrganizationFromName = OrganizationFromNameInternal

		End If

		rstemp2.close
		set rstemp2=nothing

		' Get the Email Head that will sent infront of the email msg

		' Now get the part of the email message that should be sent out when cases are created

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			LostEmailText = ""
		Else
			LostEmailText = rstemp2("lost_customer_id_search")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetSMTPConfiguration
	%>

<% Sub GetDatabaseConfiguration(MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, NewRegistration, EncryptPasswords)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		Set rstemp2 = Server.CreateObject("ADODB.Recordset")

			'response.write SQL2

			rstemp2.Open mySQL2,Conntemp,3,3

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")
			EncryptPasswords = rstemp2("EncryptPasswords") ' Option to encrypt passwords
			OrganizationFromNameInternal = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out
			OrganizationFromName = OrganizationFromNameInternal


		End If

		rstemp2.close
		set rstemp2=nothing

		' Get the Email Head that will sent infront of the email msg

		' Now get the part of the email message that should be sent out when cases are created

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
			Set rstemp2 = Server.CreateObject("ADODB.Recordset")

				'response.write SQL2

				rstemp2.Open mySQL2,Conntemp,3,3


		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			NewRegistration = ""
		Else
			NewRegistration = rstemp2("customer_registration")
		End If

		rstemp2.close
		set rstemp2=nothing



		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


<% Sub GetDatabaseEmailConfiguration2(SMTP_User_Name, SMTP_Password, HTMLEMail, smtp_host_address, Standard_Reply_To_Address, OrganizationFromName )
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' set rstemp2=conntemp.execute(mySQL2)
		' Old Method


		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then

			' New 5.0 SMTP mailer options

				SendHTMLEmail = False ' Boolean value
				SMTP_User_Name = ""
				SMTP_Password = ""

				If SendHTMLEmail = True Then
					HTMLEmail = "YES"
				Else
					HTMLEmail = ""
				End IF

		smtp_host_address = ""
		Standard_reply_to_address = ""
		 OrganizationFromName = "None" ' Use this for organization name in mail out

		Else

			' New 5.0 SMTP mailer options

				SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value
				SMTP_User_Name = rstemp2("SMTP_User_Name")
				SMTP_Password = rstemp2("SMTP_Password")

				If SendHTMLEmail = True Then
					HTMLEmail = "YES"
				Else
					HTMLEmail = ""
				End IF

				' Disable HTML email for scheduler message for now
				 'HTMLEmail = "NO"

				smtp_host_address = rstemp2("smtp_host_address")
				Standard_reply_to_address = rstemp2("Standard_reply_to_address")
				 OrganizationFromName = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out



			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseEmailConfiguration
%>



