<%  ' Module: MobileConfiguration.inc
	'
	' Description: Customer+Center Mobile Configuration
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date	Who	What
   '-------	---	------------------------------------------------
   '1/18/13 	SAV	Created this configuration include for the mobile version of Customer+Center

	' * * * * * * * * Mobile Customer+Center CONFIGURATION OPTIONS * * * * * * *

	' This file is called before every Customer+Center Mobile page to define certain labels
	' and options.

	' Simply modify the strings on the right hand side of the = expressions for strings or
	' or comment/uncomment out the definitions below to remove these options from
	' the customer+center mobile page.

	' If you have LDAP enabled, we will assume you do not want:

		'Self registration
		'Standard Customer+Center logins
		'Lost Username and passwords

		' Since the Reservation+Center is not developed to be mobile compatible at this point,
		' we will remove the reservation+center link from the mobile customer page.

		'ShowReservationCenterLink = "YES" ' Display the reservation+center link


		' If you want to run in dual mode (Active Directory Login) and regular Web+Center customer login,
		' uncomment this flag below.

		'ShowCCLogin = "YES" '- Display the web+center customer login (non AD)


		' If you are not running AD, the default is to allow for customers to create new accounts
		' To remove this option, comment out the ShowSelfRegistration option below

		ShowSelfRegistration = "YES"


		' Removed from mobile version RemoteControlSessionEnabled = "1"


		' The default to display the FAQ option
		DisplayFAQPageOption = "YES"


		' The default is to display the customer search page
		ShowCustomerSearchPage = "YES"

		ShowCustomerMessageBoard = "YES"

		' The customerCenterMobile title defines the HTML page title at the top of the browser window
		CustomerCenterMobileTitle = "Customer+Mobile"

		' This allows one to override the customer+center name used for the regular pulled from the database
		' uncomment and define if you wish to use this name
		CustomerCenterMobileBannerName = "Customer+Mobile"

      ' if you wish to store your ajax on your own server set this to "Local"
     ' JqueryIncludes = "Local"
		JqueryIncludes = "Internet"

%>

