<%  ' Module: NewAccountMobile.asp
	'
	' Description: Button Panel Page to the Tech+Center
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/18/13 SAV		Created NewAccountMobile.asp for customer+center mobile interface from toptions page

	' * * * * * * * * Mobile Customer+Center CONFIGURATION OPTIONS * * * * * * *

	' comment/uncomment out the definitions below to remove these options from
	' the customer+center home page.

	' If you have LDAP enabled, we will assume you do not want:
		'Self registration
		'Standard Customer+Center logins
		'Los Username and passwords

		'ShowReservationCenterLink = "YES" ' Display the reservation+center link
		ShowCCLogin = "YES" '- Display the web+center customer login (non AD)
		ShowSelfRegistration = "YES"
		' Removed from mobile version RemoteControlSessionEnabled = "1"
		DisplayFAQPageOption = "YES"

		ShowCustomerMessageBoard = "YES"
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% ' Attempt to get the Customer_ID from the Cookie called IIS_CUSTOMER

		Customer_ID =  Request.Cookies("ISS_Customer")
'response.write "CUSTOMER ID " & customer_ID
'response.flush
'response.end
call GetCustomerConfig()
%>

<% ' First check to see if we displaying a New customer form
	' or an existing customer.  This page can be called like:
	' Registration.asp?Customer_ID=XXXXXXX   (customer update)
	'   OR
	' Registration.asp    (New Customer)

	Customer_Password = "*****"
	contact_fname = ""
	contact_lname = ""
	company = ""
	address = ""
	mailstop = ""
	city = ""
	state = ""
	Zip = ""
	Country = ""
	email = ""
	phone1 = ""
	phone2 = ""
	fax = ""
	contact_method = ""
	contact_times = ""
	customer_username = ""
	If Customer_ID <> "" Then
	' Query the database and get all of the registration values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Customers where Customer_ID ='" & Customer_ID & "'"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	if not rstemp2.EOF then
		'Customer_Password = rstemp2("customer_password")
		' Note: We donot want to display the password in the HTML form
		' so we will put in (5) Stars as the default.

		'If they edit it, it will then be encoded and saved.

		Customer_Password = "*****"
		contact_fname = rstemp2("contact_fname")
		contact_lname = rstemp2("contact_lname")
		company = rstemp2("company")
		address = rstemp2("address")
		mailstop = rstemp2("mailstop")
		city = rstemp2("city")
		state = rstemp2("state")
		Zip = rstemp2("Zip")
		Country = rstemp2("Country")
		email = rstemp2("email")
		phone1 = rstemp2("phone1")
		phone2 = rstemp2("phone2")
		fax = rstemp2("fax")
		contact_method = rstemp2("contact_method")
		contact_times = rstemp2("contact_times")
		customer_username = rstemp2("customer_username")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End If ' End of If Customer_ID <> ""

%>

<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
    <body>
        <!-- Home -->
        <div data-role="page" id="PageAccount">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
               <% if Customer_ID > "" then %>
                	  Update Account
              <%  Else %>
                    New Account
              <%    End If %>
                </h3></CENTER>

                <form action="DoAccountMobile.asp" method="POST">
                		<input type=hidden name=customer_id value="<%=customer_ID%>">

                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="contact_fname">
                                <%=wc_First_Name%>:
                            </label>
                            <input type=text name="contact_fname" id="contact_fname" size="20" maxlength="40" value="<%=contact_fname%>" type="text" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="contact_lname">
                                <%=wc_Last_Name%>:
                            </label>

                            <input type=text name="contact_lname" id="contact_lname" size="20" maxlength="40" value="<%=contact_lname%>" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="Email">
                                <%=wc_Email%>:
                            </label>
                            <input type=email name="Email" id="Email" placeholder="" value="<%=email%>"  size="30" maxlength="80" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="customer_password">
                                Password:
                            </label>
                            <input type=password name="customer_password" ID="customer_password" size="20" maxlength="20" value="<%=customer_password%>" />
										<span class=tinyprint>(<%=wc_Minimum_5_characters%>)</span>
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="phone1">
                                <%=wc_Phone1%>:
                            </label>
                            <input type="tel" name="phone1" id="phone1" placeholder="" value="<%=phone1%>" size="15" maxlength="50"  />
                        </fieldset>
                    </div>
							 <table><tr><td align=center>
							     <% if Customer_ID > "" then %>
							 <input data-icon="arrow-u" data-iconpos="left" value="Update Account" data-mini="true" type="submit" />
							               <%  Else %>
							 <input data-icon="arrow-u" data-iconpos="left" value="Create Account" data-mini="true" type="submit" />
              <%    End If %>
							 <a href="#" data-role="button" data-icon="arrow-l" data-rel="back" data-mini="true">Cancel</a>
							 </td></tr></table>
                </form>
            </div>
        </div>
    </body>
</html>





